// **** BEGIN LICENSE BLOCK ****
// Copyright(c) 2008 Edoardo Gargano
//
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Portions of this code have been based upon
// GDocsBar - http://www.gdocsbar.com
// Copyright (c) 2007, Sandosh Vasudevan.
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//
//
// init.js - define rules for behaviour, access key and call init method
//
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA 02111-1307 USA
//
// **** END LICENSE BLOCK ****
var  segodocObj = null;

var myrules = {
		'#menu label.notSelected' : function(element){
			element.onclick = function(){
				segodocObj.callMenuItem(this);
			}
		},  /* optionstabs non ce l'ho sarebbe su more page 
		'#optionstabs label' : function(element){
			element.onclick = function(){
				segodocObj.callMoreMenuItem(this);
			}
		}, */ /* SMART FOLDER LIST non ce l'ho sarebbe su more page 
		'#smartfolderlist label.s_edit' :function(element){
			element.onclick = function(){
				segodocObj.editSmartTemplate(this);
			}
		},
		'#smartfolderlist box' :function(element){
			element.onclick = function(){
				segodocObj.editSmartTemplate(this);
			}
		},
		'#smartfolderlist label.s_delete' :function(element){
			element.onclick = function(e){
				alert(e.target);
				e.stopPropagation()
			}
		}, fine smartfolderlist che non ho */
		'#sortBox label.off' : function(element){
			element.onclick = function(){
				segodocObj.callsortList(this);
			}
		},
		'#orderBox label.off' : function(element){
			element.onclick = function(){
				segodocObj.callsortOrderList(this);
			}
		},
		'#starB' : function(element){
			element.onclick = function(){
				if(this.className == 'off')
					{
						this.className = 'on';
						segodocObj._starred = true;
						segodocObj.createDocs();
					}
				else
					{
						this.className = 'off';
						segodocObj._starred = false;
						segodocObj.createDocs();
					}
			};
		}
	};

	

function init() {

	segodocObj = segodoc;
	segodocObj.init();
	
	Behaviour.register(myrules);

	var contextMenu = document.getElementById("docsmenu");
	  if (contextMenu)
	    contextMenu.addEventListener("popupshowing", onContextShow, false);
	document.getElementById('cSearchInput').addEventListener("keypress", search_keypress, true);
	document.getElementById('username').addEventListener("keypress", login_keypress, true);
	document.getElementById('password').addEventListener("keypress", login_keypress, true);
	
	/*document.getElementById('sf_new_name').addEventListener("keypress", segodocObj.sf_new_keypress, true);
	document.getElementById('sf_new_filter').addEventListener("keypress", segodocObj.sf_new_keypress, true);
	document.getElementById('sf_new_search').addEventListener("keypress", segodocObj.sf_new_keypress, true);*/

 }
function search_keypress(event){
	switch(event.keyCode){
		case 13:
			segodocObj.searchDocs();
			
		break;
	}
}
function login_keypress(event){
	switch(event.keyCode){
		case 13:
			segodocObj.login();
			
		break;
	}
}
function onContextShow(event)
{
//	segodocObj.getAuthorForFilter(document.popupNode.id||document.popupNode.parentNode.id);
}