// **** BEGIN LICENSE BLOCK ****
// Copyright(c) 2008 Edoardo Gargano
//
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Portions of this code have been based upon
// GDocsBar - http://www.gdocsbar.com
// Copyright (c) 2007, Sandosh Vasudevan.
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//
//
// segodoc.js - the main javascript file of SeGoDOc
//
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA 02111-1307 USA
//
// **** END LICENSE BLOCK ****
netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
netscape.security.PrivilegeManager.enablePrivilege("UniversalFileRead");

var segodoc = {

	_session : null,
	_sessiontimer : null,
	_DBFile : "segoGdoc.sqlite",
	_jstpl : null,
	_jstpl4 : null,
	_searchConnection : null,
	_deleteConnection : null,
	_renameConnection : null,
	_defaultSearchTxt : "type to filter...",
	_defaultFolderTxt : "Items not in folders",
	_sortOrder : "updated",
	_sortUpDownOrder : "DESC",
	_feed_id : 0,
	_search_id : 0,
	_selectedTab : null,
	_selectedTabSegodoc : false,
	_selectedFolder : null,
	_starred : false,
	_uploadHistory : [],
	_uploadProgress : false,
	_uploadConnection : null,
	_currentUploadFile : null,
	_userTemplatesDir : "usertemplates/",
	_UploadSuccessCount : 0,
	_thisUploadErrorCount : 0,
	_uploadHistory : [],
	_aesPass : "tesi",
	_bitAES : "128",
	_sdDocTempList : [],
	_feed : null,
	_accumulator : [],

	version : "1.0",

	// Construct of segodoc object
	construct : function() {
		// SegodocUtils.log("Eseguo construct");
		// //Instantiate custom gdocsbarsession componenent
		// this._session =
		// Components.classes["@gargano/gdocsbarsession;1"].getService().wrappedJSObject;
		// this._session.setFree();
		// Load various templates using jsTemplateBuilder ( Template for search
		// results, upload progress, upload completed, folders list)
		/*
		 * this._jstpl = new jsTemplateBuilder();
		 * this._jstpl.loadTemplate("templates/list.tpl"); this._jstpl2 = new
		 * jsTemplateBuilder();
		 * this._jstpl2.loadTemplate("templates/list2.tpl"); this._jstpl3 = new
		 * jsTemplateBuilder();
		 * this._jstpl3.loadTemplate("templates/list3.tpl"); this._jstpl4 = new
		 * jsTemplateBuilder();
		 * this._jstpl4.loadTemplate("templates/list4.tpl");
		 */
	},

	// Object Initialization
	init : function() {
		this._bitAES = this.getCharPreference('bitAESKeyPref');
		// SegodocUtils.log("Stored "+this._bitAES);
		this._session = Components.classes["@gargano/gdocsbarsession;1"]
				.getService().wrappedJSObject;
		this._session.setFree();
		// SegodocUtils.log("dentro init di segodoc");
		// Load various templates using jsTemplateBuilder ( Template for search
		// results, upload progress, upload completed, folders list)
		this._jstpl = new jsTemplateBuilder();
		this._jstpl.loadTemplate("templates/list.tpl");
		/*
		 * this._jstpl2 = new jsTemplateBuilder();
		 * this._jstpl2.loadTemplate("templates/list2.tpl"); this._jstpl3 = new
		 * jsTemplateBuilder();
		 * this._jstpl3.loadTemplate("templates/list3.tpl");
		 */
		this._jstpl4 = new jsTemplateBuilder();
		this._jstpl4.loadTemplate("templates/list4.tpl");
		/*
		 * this._jstpl5 = new jsTemplateBuilder();
		 * this._jstpl5.loadTemplate("templates/smartfolderedit.tpl");
		 */
		// set default text in filter field
		document.getElementById("searchInput").setAttribute("value",
				this._defaultSearchTxt);

		// get saved username, password and set
		a = this.getPassword("chrome://segodoc/content/segodoc.xul", null);
		if (a) {
			document.getElementById("username").setAttribute("value", a.u);
			document.getElementById("password").setAttribute("value", a.p);
			// SegodocUtils.log("SETTO le pass");
		}
		// this._session.setBusy();
		// check for existing session. if true, create document results and show
		// main page. if false, initialize db tables
		sessionObj = this._session.getSession();

		if (sessionObj.session) {
			this._AUTH = sessionObj.auth;
			document.getElementById("_loading_2").style.display = "none";
			this.createDocs();
			document.getElementById("_user_email").value = sessionObj.username;
			document.getElementById("searchPage").collapsed = false; // collapsesandosh
			document.getElementById("loginPage").collapsed = true;
			document.getElementById("searchInput").focus();

			var aDir = Components.classes["@mozilla.org/file/local;1"]
					.createInstance(Components.interfaces.nsILocalFile);
			if (!aDir)
				return false;
			var dir = this._session.getLocationFile();
			// aFile.initWithPath(thefile);
			aDir.initWithPath(dir.path + '/content/usertemplates');
			aDir.append(sessionObj.username);
			// alert('hi');
			try {
				if (!aDir.exists() || !aDir.isDirectory()) { // if it doesn't
					// exist, create
					aDir.create(Components.interfaces.nsIFile.DIRECTORY_TYPE,
							0777);
				}
			} catch (e) {
				alert(e);
			}
			/* this.addTemplatesMenu(); */

		} else {
			document.getElementById("username").focus();
			this.createTables();
		}
		this._sessiontimer = setInterval(this.checkSession, 1000);
		var segodocButton = this.getParentDocument()
				.getElementById("segodoc-button");
		if (segodocButton) {
			segodocButton.setAttribute('showing', 'true');
		}
		// ######################################
		segodoc.toggleTampering(false);

	},

	myinit : function() {
		if (segodoc.getPreference('firstrun')
				|| segodoc.getPreference('autoopen')) {
			segodoc.setSidebarWidth(400);

			segodoc.showSidebar();
			var sidebar = document.getElementById("sidebar-box");
			sidebar.setAttribute("sidebarcommand", "viewSeGoDoc");
			setTimeout(function() {
						segodoc.showSidebar();
					}, 1000);
			segodoc.addToolbarButton();
		} else {

			var segodocButton = segodoc.getParentDocument()
					.getElementById("segodoc-button");
			if (segodocButton) {
				segodocButton.setAttribute('showing', 'false');
			}
		}

		var segodocPref = Components.classes['@mozilla.org/preferences-service;1']
				.getService(Components.interfaces.nsIPrefService)
				.getBranch('extensions.segodoc.');

		if (segodocPref.getCharPref('version') != segodoc.version) {
			try {
				setTimeout(function() {
							segodoc
									.openAndReuseOneTabPerURL('http://www.cs.unibo.it');
						}, 1000);
				segodocPref.setCharPref('version', segodoc.version);
			} catch (e) {
				SegodocUtils.log(e);
			}

		}
		segodocPref.setBoolPref('firstrun', false);

	},
	openAndReuseOneTabPerURL : function(url) {
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
				.getService(Components.interfaces.nsIWindowMediator);
		var browserEnumerator = wm.getEnumerator("navigator:browser");

		var newURL = 'http://cs.unibo.it/';
		// Check each browser instance for our URL
		var found = false;
		while (!found && browserEnumerator.hasMoreElements()) {
			var browserInstance = browserEnumerator.getNext().getBrowser();

			// Check each tab of this browser instance
			var numTabs = browserInstance.tabContainer.childNodes.length;
			for (var index = 0; index < numTabs; index++) {
				var currentBrowser = browserInstance.getBrowserAtIndex(index);
				if (url == currentBrowser.currentURI.spec) {
					currentBrowser.loadURI(newURL);
					// The URL is already opened. Select this tab.
					browserInstance.selectedTab = browserInstance.tabContainer.childNodes[index];

					// Focus *this* browser
					browserInstance.focus();
					found = true;
					break;
				}
			}
		}

		// Our URL isn't open. Open it now.
		if (!found) {
			var recentWindow = wm.getMostRecentWindow("navigator:browser");
			if (recentWindow) {
				// Use an existing browser window or a blank one if the top is
				// blank
				if (recentWindow.content.document.location.href == "about:blank") {
					recentWindow.getBrowser().loadURI(newURL);
				} else {
					recentWindow.openUILinkIn(newURL, "tab");
				}
			} else {
				// No browser windows are open, so open a new one.
				window.open(newURL);
			}
		}
	},

	login : function() {
		if (segodocObj._session._busy == true) {
			this
					.error_text("Resource busy. Please try again or close others to continue.");
			return false;
		}
		document.getElementById("captcha_link").style.display = "none";
		document.getElementById("error_txt").style.display = "none";

		username = document.getElementById("username").value;
		password = document.getElementById("password").value;

		if (username.indexOf("@gmail.com") != -1) {
			if (!this.validateEmail(username)) {
				this.error_text("Please enter your complete email");
				return false
			} else {
				if (!password) {
					this.error_text("Please enter your password");
					return false
				}
			}
		} else {
			username = username + "@gmail.com";
		}
		// SegodocUtils.log("User,Pass: " + username+" ,"+password);

		remember = document.getElementById("remember_me").checked;
		if (remember) {
			// SegodocUtils.log("remember: "+remember);
			this.savePassword("chrome://segodoc/content/segodoc.xul", username,
					password)
		} else {
			this.deletePassword("chrome://segodoc/content/segodoc.xul",
					username)
		}

		YAHOO.util.Connect.initHeader("Cookie", "", false);

		this._session.setBusy();
		YAHOO.util.Connect
				.asyncRequest(
						"POST",
						"https://www.google.com/accounts/ClientLogin",
						{
							success : this.loginSuccess,
							failure : this.loginFail,
							customevents : {
								onStart : this.startLoad,
								onComplete : this.completeLoad
							},
							scope : this
						},
						"Email="
								+ username
								+ "&Passwd="
								+ password
								+ "&service=writely&source=segodoc&accountType=HOSTED_OR_GOOGLE");
		SegodocUtils.log("Send Goo Auth");

	},

	logout : function() {
		// ######################
		// stopTamper();
		this._AUTH = null;
		this._session.destroySession();
		segodocObj._session._busy == false;
		document.getElementById("folders_menu").label = "All Items";
		document.getElementById("folders_menu").style.backgroundImage = "url(chrome://segodoc/skin/images/folder_home.png)"

		this.callMenuItem(document.getElementById("_a"));

		this._selectedFolder = null;
		document.getElementById("searchPage").collapsed = true;
		document.getElementById("loginPage").collapsed = false;
		this.setErrorText("You have signed out.");
		this._jstpl.assign("results", []);
		this._jstpl.build("list.tpl", "searchResultsBox", true);
		/*
		 * this._jstpl8.assign('list', []);
		 * this._jstpl8.build('templatelistmenu.tpl','templates_menupop',true);
		 */
		this._jstpl4.assign("total", 'Loading...');
		this._jstpl4.assign("list", []);
		this._jstpl4.assign("not_in_folders", 0);
		// this._jstpl4.assign("smartfolders", []);
		this._jstpl4.build("list4.tpl", "folders_menupop", true);

		var flushTableQuery = "DELETE FROM feeds;";
		$sqlite.cmd(this._DBFile, flushTableQuery);
		var flushTableQuery = " DELETE from gdocs;";
		$sqlite.cmd(this._DBFile, flushTableQuery);
		$sqlite.cmd(this._DBFile, "DELETE from folders;");
		$sqlite.cmd(this._DBFile, "DELETE from segodoc;");
		this._search_id = 0;
		document.getElementById('cSearchInput').value = '';
		document.getElementById("searchInput").value = '';
		if (oTamper != undefined) {
			oTamper.isTampering = false;
			stopTamper();
		}
	},
	loginSuccess : function(o) {
		document.getElementById("_user_email").value = document
				.getElementById("username").value;
		document.getElementById("searchPage").collapsed = false;
		document.getElementById("loginPage").collapsed = true;

		// console.log(o);
		str = o.responseText.replace(/\n/g, "");
		this._AUTH = str.substr(str.indexOf("Auth=") + 5);
		// console.log(this._AUTH);
		// SegodocUtils.log(this._AUTH);
		this._useremail = document.getElementById("username").value;
		this.getFeed();
		this._session.setSession(this._AUTH, document
						.getElementById("username").value);
		// SegodocUtils.log(this._session.getSession());
		/* this.addTemplatesMenu(); */
		this.addFoldersMenu();
		startTamper();
		oTamper.isTampering = true;
	},
	loginFail : function(o) {
		// SegodocUtils.log(o.responseText);

		txt = o.responseText;
		lines = txt.split("\n");
		for (var i = 0; i < lines.length; i++) {
			line = lines[i];
			var words = line.split("=");
			if (words[0] == "Error") {
				error = words[1]
			}
		}
		switch (error) {
			case "BadAuthentication" :
				error_txt = "The username or password is incorrect. Please try again.";
				break;
			case "NotVerified" :
				error_txt = "The account email address has not been verified. Please access your Google account directly to resolve the issue before logging in this application.";
				break;
			case "TermsNotAgreed" :
				error_txt = "You have not agreed to terms. Please access your Google account directly to resolve the issue before logging in this application.";
				break;
			case "CaptchaRequired" :
				error_txt = "A CAPTCHA is required. Please try again after unlocking.";
				document.getElementById("captcha_link").style.display = "";
				break;
			case "Unknown" :
				error_txt = "The error is unknown or unspecified; the request contained invalid input or was malformed.";
				break;
			case "AccountDeleted" :
				error_txt = "Your user account has been deleted.";
				break;
			case "AccountDisabled" :
				error_txt = "Your user account has been disabled.";
				break;
			case "ServiceDisabled" :
				error_txt = "The user's access to the specified service has been disabled. (The user account may still be valid.)";
				break;
			case "ServiceUnavailable" :
				error_txt = "The service is not available; try again later.";
				break;
			default :
				error_txt = "The error is unknown or unspecified.";
				break
		}
		dnode = document.getElementById("error_txt");
		dnode.style.display = "";
		while (dnode.childNodes.length > 0) {
			dnode.removeChild(dnode.childNodes[0])
		}
		tnode = document.createTextNode(error_txt);
		document.getElementById("error_txt").appendChild(tnode);
		this._session.setFree();
	},

	// function to get document list feed from google
	getFeed : function() {
		// Reset current documents, results, tables etc.
		this._session.setBusy();
		this.clearSearchfield();
		// okkio
		if (this._search_id != 0) {
			this._search_id = 0;
			this.createDocs(null);
			return
		}
		this._jstpl.assign("results", []);
		this._jstpl.build("list.tpl", "searchResultsBox", true);

		document.getElementById("sInfoTxt").value = "Loading...";
		document.getElementById("refresh_txt").value = "";

		var flushTableQuery = "DELETE FROM feeds;";
		$sqlite.cmd(this._DBFile, flushTableQuery);
		var flushTableQuery = " DELETE from gdocs;";
		$sqlite.cmd(this._DBFile, flushTableQuery);
		$sqlite.cmd(this._DBFile, "DELETE from folders;");

		YAHOO.util.Connect.resetDefaultHeaders();
		YAHOO.util.Connect.initHeader("Authorization", "GoogleLogin auth="
						+ this._AUTH);
		YAHOO.util.Connect.initHeader("Cookie", "", false);
		this._feedConnection = YAHOO.util.Connect.asyncRequest("GET",
				"https://docs.google.com/feeds/documents/private/full", {
					success : this.savetoDB,
					failure : this.getFeedFail,
					customevents : {
						onStart : this.startLoad,
						onComplete : this.completeLoad
					},
					scope : this
				})
	},
	getFeedFail : function(o) {
		// console.error(o)
		document.getElementById("sInfoTxt").value = "Request Failed.";
		document.getElementById("refresh_txt").value = "Try Again.";
		// console.error(o.responseText);
		this._session.setFree();
	},
	// Function to clear search field
	clearSearchfield : function() {
		if (document.getElementById("searchInput").value != this._defaultSearchTxt) {
			document.getElementById("searchInput").value = ""
		}
		this.toggleSearchCancel(document.getElementById("searchInput"));
		document.getElementById("searchInput").focus();
		segodocObj.createDocs(null)
	},
	savetoDB : function(o) {
		sessionObj = this._session.getSession();
		var crypted;
		// tutto l'xml
		// SegodocUtils.log(o.responseText);
		document.getElementById("searchPage").style.display = "";
		var xotree = new XML.ObjTree();
		a = xotree.parseDOM(o.responseXML.childNodes[0]);
		this._feed = a;
		// SegodocUtils.log(o.responseXML);
		var date = new Date();
		date.setISO8601(a.feed.updated);
		// SegodocUtils.log(date);
		var myInsertQuery = "INSERT INTO feeds(totalresults, updated) VALUES("
				+ a.feed["openSearch:totalResults"] + ', DATETIME("'
				+ date.getSQLString() + '"));';
		// SegodocUtils.log(myInsertQuery);
		$sqlite.cmd(this._DBFile, myInsertQuery);
		var selectQuery = "select id, DATETIME(updated) as updated , totalresults from feeds order by id DESC LIMIT 1;";
		var myArray1 = $sqlite.select(this._DBFile, selectQuery);
		// SegodocUtils.log('Number of documents:'+a.feed.entry.length);
		// this._feed_id = myArray1[0]["id"];
		if (a.feed["entry"]) {
			// SegodocUtils.log("a.feed[\"entry\"]: "+a.feed["entry"]);
			if (typeof a.feed.entry == "object" && !a.feed.entry.length) {
				entry = a.feed.entry;
				date.setISO8601(entry.updated);
				var folder = [];
				if (entry.category.length > 1) {
					for (var i = 0; i < entry.category.length; i++) {
						if (entry.category[i]["-scheme"] == "http://schemas.google.com/g/2005/labels"
								&& entry.category[i]["-label"] == "starred") {
							starred = "TRUE"
						} else {
							if (entry.category[i]["-scheme"] == "http://schemas.google.com/g/2005#kind") {
								cat = entry.category[i]["-label"];
								starred = "FALSE"
							} else {
								if (entry.category[i]["-scheme"] == "http://schemas.google.com/docs/2007/folders/"
										+ sessionObj.username) {
									folder.push(entry.category[i]["-label"])
								}
							}
						}
					}

					this.addFolders(folder, entry.id.substr(entry.id
									.indexOf("%3A")
									+ 3));
					// SegodocUtils.log("added Folder");
				} else {
					cat = entry.category["-label"];
					starred = "FALSE"
				}
				// SegodocUtils.log("FOLDER"+folder.toString());
				myInsertQuery = "INSERT INTO gdocs (feed_id, title,starred, key, updated, category, link1, link2, link3, author_name, author_email, crypted) VALUES ("
						+ myArray1[0]["id"]
						+ ",'"
						+ this.sanitize(entry.title["#text"])
						+ "', '"
						+ starred
						+ "' , '"
						+ entry.id.substr(entry.id.indexOf("%3A") + 3)
						+ "', DATETIME('"
						+ date.getSQLString()
						+ "'), '"
						+ this.sanitize(cat)
						+ "', '"
						+ entry.content["-src"]
						+ "', '"
						+ entry.id
						+ "', '"
						+ entry.link[0]["-href"]
						+ "', '"
						+ this.sanitize(entry.author.name)
						+ "', '"
						+ entry.author.email + "','" + crypted + "');";
				$sqlite.cmd(this._DBFile, myInsertQuery)
			} else {
				for (var k = 0; k < a.feed.entry.length; k++) {
					entry = a.feed.entry[k];
					date.setISO8601(entry.updated);
					folder = [];
					try {
						if (entry.category.length > 1) {
							for (var i = 0; i < entry.category.length; i++) {
								if (entry.category[i]["-scheme"] == "http://schemas.google.com/g/2005/labels"
										&& entry.category[i]["-label"] == "starred") {
									starred = "TRUE"
								} else {
									if (entry.category[i]["-scheme"] == "http://schemas.google.com/g/2005#kind") {
										cat = entry.category[i]["-label"];
										starred = "FALSE"
									} else {
										if (entry.category[i]["-scheme"] == "http://schemas.google.com/docs/2007/folders/"
												+ sessionObj.username) {
											folder
													.push(entry.category[i]["-label"])
										}
									}
								}
							}
							this.addFolders(folder, entry.id.substr(entry.id
											.indexOf("%3A")
											+ 3));
							// SegodocUtils.log("added Folders (in the else)");
						} else {
							cat = entry.category["-label"];
							starred = "FALSE"
						}
					} catch (e) {
						// console.error(e)
						SegodocUtils.log(e);
					}
					if ((entry.title["#text"]).indexOf("SD_") != -1) {
						// alert("Torvato 1 crittato: "+entry.title["#text"]);
						// SegodocUtils.log("crittato: "+entry.title["#text"]);
						crypted = "TRUE";
					} else {
						crypted = "FALSE";
					}
					myInsertQuery = "INSERT INTO gdocs (feed_id, title,starred, key, updated, category, link1, link2, link3, author_name, author_email, crypted) VALUES ("
							+ myArray1[0]["id"]
							+ ",'"
							+ this.sanitize(entry.title["#text"])
							+ "', '"
							+ starred
							+ "' , '"
							+ entry.id.substr(entry.id.indexOf("%3A") + 3)
							+ "', DATETIME('"
							+ date.getSQLString()
							+ "'), '"
							+ this.sanitize(cat)
							+ "', '"
							+ entry.content["-src"]
							+ "', '"
							+ entry.id
							+ "', '"
							+ entry.link[0]["-href"]
							+ "', '"
							+ this.sanitize(entry.author.name)
							+ "', '"
							+ entry.author.email + "','" + crypted + "');"
					// SegodocUtils.log(myInsertQuery);

					try {
						$sqlite.cmd(this._DBFile, myInsertQuery);
					} catch (e) {
						this._session.setFree();
					}
				}
			}
		}
		this.createDocs();

		this._session.setFree();
	},
	createDocs : function() {
		// SegodocUtils.log("Starred in create: "+this._starred);
		txt = document.getElementById("searchInput").value;
		if (txt == this._defaultSearchTxt) {
			txt = ""
		}
		if (this._sortOrder == "title") {
			this._sortOrder = "lower(g.title)"
		}
		if (this._starred == true) {
			var starred = " and g.starred='TRUE' "
		} else {
			var starred = ""
		}
		if (!this._selectedFolder) {
			joinQ = "";
			folderQ = ""
		} else {
			if (this._selectedFolder == this._defaultFolderTxt) {
				joinQ = " LEFT JOIN folders on g.key=folders.key ";
				folderQ = " and folders.key is NULL "
			} else {
				joinQ = " LEFT JOIN folders on g.key=folders.key ";
				folderQ = " and folders.key=g.key and folders.folder='"
						+ this._selectedFolder + "' "
			}
		}
		var sql = "select g.link3, g.title , g.author_email, g.author_name, g.category, date(g.updated) as updated, g.key, g.starred, g.folder, g.crypted from gdocs g   order by "
				+ this._sortOrder + " " + this._sortUpDownOrder;
		// SegodocUtils.log(sql);
		if (this._search_id != 0) {
			var sql = "select g.link3, g.title , g.author_email, g.author_name, g.category, date(g.updated) as updated, g.key, g.starred, g.folder, g.crypted from gdocs g, search_results r where r.search_id="
					+ this._search_id
					+ " and g.key=r.key  order by "
					+ this._sortOrder + " " + this._sortUpDownOrder
		}
		// console.info(sql);
		var results = $sqlite.select(this._DBFile, sql);
		sessionObj = this._session.getSession();
		for (var i = 0; i < results.length; i++) {
			// //console.log(results[i]['author_email']+","+sessionObj.username);
			if (results[i]['author_email'] == sessionObj.username)
				results[i]['author_name'] = "me";
		}

		// console.info("Search Results: " + results.length + " -->" + txt);
		var folders = $sqlite.select(this._DBFile,
				"select key, folder from folders;");
		var myfolders = {};
		for (var j = 0; j < folders.length; j++) {
			if (!myfolders[folders[j]["key"]]) {
				myfolders[folders[j]["key"]] = []
			}
			myfolders[folders[j]["key"]].push(folders[j]["folder"])
		}
		// console.log(myfolders);
		d = new Date();
		this._jstpl.assign("folders", myfolders);
		this._jstpl.assign("results", results);
		// SegodocUtils.log("Results"+results.toString());
		this._jstpl.build("list.tpl", "searchResultsBox", true);
		// SegodocUtils.log("Dentro createDocs, prima della fine");
		// Behaviour.apply();

		n = new Date();
		// console.info(n.getTime() - d.getTime() + "ms");
		this.addFoldersMenu();

		this.filterDocs();
		// SegodocUtils.log("ritorno di createDocs dopo addFolderMenu e filter
		// Docs");

	},
	createDocsForFolders : function(folderObj) {
		if (folderObj == null)
			folder = null;
		else
			folder = folderObj.id
		if (folder == null) {
			document.getElementById("folders_menu").label = "All Items";
			document.getElementById("folders_menu").style.backgroundImage = "url(chrome://segodoc/skin/images/folder_home.png)"
		} else {
			document.getElementById("folders_menu").label = folder;
			document.getElementById("folders_menu").style.backgroundImage = "url(chrome://segodoc/skin/images/folder1.png)"
		}
		this._selectedFolder = folder;
		document.getElementById("searchInput").value = "";

		this.filterDocs();
	},
	sanitize : function(txt) {
		return txt.replace(/\'/g, "\'\'");
	},
	addFolders : function(folders, key) {
		if (folders.length > 0) {
			for (var i = 0; i < folders.length; i++) {
				try {
					$sqlite.cmd(this._DBFile,
							"INSERT INTO folders (key, folder) VALUES ('" + key
									+ "', '" + this.sanitize(folders[i])
									+ "');")
				} catch (e) {
					// console.error(e)
					SegodocUtils.log(e);
				}
			}
		}
	},
	createTables : function() {
		var myCreateDBQuery = "CREATE TABLE IF NOT EXISTS feeds (id INTEGER PRIMARY KEY AUTOINCREMENT, updated DATE, totalresults INTEGER);";
		$sqlite.cmd(this._DBFile, myCreateDBQuery);
		// console.info("create 1");
		var myCreateDBQuery2 = "CREATE TABLE IF NOT EXISTS search (id INTEGER PRIMARY KEY AUTOINCREMENT, updated DATE, totalresults INTEGER, query varchar(100));";
		$sqlite.cmd(this._DBFile, myCreateDBQuery2);
		// console.info("create 2");
		var myCreateDBQuery3 = "CREATE TABLE IF NOT EXISTS search_results (id INTEGER PRIMARY KEY AUTOINCREMENT, search_id INTEGER, key varchar(100));";
		$sqlite.cmd(this._DBFile, myCreateDBQuery3);
		// console.info("create 3");
		// $sqlite.cmd(this._DBFile, "DROP table gdocs");
		var myCreateDBQuery2 = "CREATE TABLE IF NOT EXISTS gdocs (id INTEGER PRIMARY KEY AUTOINCREMENT,feed_id INTEGER,  title varchar(100),starred BOOLEAN, key varchar(100), updated DATE, category varchar(100), folder varchar(100), link1 TEXT, link2 TEXT, link3 TEXT, author_name varchar(100), author_email varchar(100), crypted BOOLEAN);";
		$sqlite.cmd(this._DBFile, myCreateDBQuery2);

		var myCreateDBQuery2 = "CREATE TABLE IF NOT EXISTS segodoc (id INTEGER PRIMARY KEY AUTOINCREMENT, title varchar(100), password varchar(100), first_time BOOLEAN);";
		$sqlite.cmd(this._DBFile, myCreateDBQuery2);
		// console.info("create 4");
		var flushTableQuery = "DELETE FROM feeds;";
		$sqlite.cmd(this._DBFile, flushTableQuery);
		// console.info("create 5");
		var flushTableQuery = " DELETE from gdocs;";
		$sqlite.cmd(this._DBFile, flushTableQuery);
		// console.info("create 6");
		var createFoldersQuery = "CREATE TABLE IF NOT EXISTS folders (id INTEGER PRIMARY KEY AUTOINCREMENT, key varchar(100), folder varchar(100));";
		$sqlite.cmd(this._DBFile, createFoldersQuery);
		// console.info("create 7");
		$sqlite.cmd(this._DBFile, "DELETE from folders;")
		// $sqlite.cmd(this._DBFile, "DROP table smartfolders");
		// var smartFoldersQuery = "CREATE TABLE IF NOT EXISTS smartfolders (id
		// INTEGER
		// PRIMARY KEY AUTOINCREMENT, fname varchar(100), ffilter varchar(100),
		// fsearch
		// varchar(100), email varchar(100));";
		// $sqlite.cmd(this._DBFile, smartFoldersQuery);
	},
	openCaptcha : function() {
		var mainWindow = window
				.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
				.getInterface(Components.interfaces.nsIWebNavigation)
				.QueryInterface(Components.interfaces.nsIDocShellTreeItem).rootTreeItem
				.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
				.getInterface(Components.interfaces.nsIDOMWindow);
		gBrowser = mainWindow.getBrowser();
		gBrowser.selectedTab = gBrowser
				.addTab("https://www.google.com/accounts/DisplayUnlockCaptcha")
	},
	// Function to toggle betweek filter and content search
	toggleSearch : function(a) {
		switch (a.id) {
			case "_filter" :
				document.getElementById("_content").className = "off";
				document.getElementById("_pass").className = "off";
				document.getElementById("contentSearchBox").style.display = "none";
				document.getElementById("debugBox").style.display = "none";
				document.getElementById("searchBox").style.display = "";
				break;
			case "_content" :
				document.getElementById("_filter").className = "off";
				document.getElementById("_pass").className = "off";
				document.getElementById("searchBox").style.display = "none";
				document.getElementById("debugBox").style.display = "none";
				document.getElementById("contentSearchBox").style.display = "";
				break;
			case "_pass" :
				document.getElementById("_filter").className = "off";
				document.getElementById("_content").className = "off";
				document.getElementById("searchBox").style.display = "none";
				document.getElementById("contentSearchBox").style.display = "none";
				document.getElementById("debugBox").style.display = "";
				// filtra solo i file segodoc
				this._selectedTab = "document";
				this._selectedTabSegodoc = true;
				document.getElementById("_sd").className = "selected";
				document.getElementById("_a").className = "notSelected";
				document.getElementById("_d").className = "notSelected";
				document.getElementById("_s").className = "notSelected";
				document.getElementById("_p").className = "notSelected";
				this.filterDocs(false)
				break
		}
		a.className = "on"
	},
	// saveAESPass: function() {
	// var passAES=document.getElementById("passInput").value;
	// document.getElementById("infoPass").value = "Change your password";
	// if(passAES==this._aesPass) {
	// document.getElementById("infoPass").value = "The password in not
	// changed";
	// } else {
	// this._aesPass=passAES;
	// document.getElementById("infoPass").value = "!AES password changed!";
	// // document.getElementById("infoPass").className = "red";
	// SegodocUtils.log("!AES password changed! "+this._aesPass);
	// }
	// },
	// Function to focus search field
	focusSearchField : function(field) {
		if (field.value == this._defaultSearchTxt) {
			// console.log(field.value);
			field.value = null
		}
		// console.log("new value : " + field.value);
		field.style.color = "#000000"
	},
	// Function to blur search field
	blurSearchField : function(field) {
		if (field.value == "") {
			field.value = this._defaultSearchTxt;
			field.style.color = "#cccccc"
		}
	},
	toggleSearchCancel : function(field) {
		if (field.value != "") {
			document.getElementById("searchLabelEnd").className = "close"
		} else {
			document.getElementById("searchLabelEnd").className = ""
		}
	},
	// Function to clear search field
	clearSearchfield : function() {
		if (document.getElementById("searchInput").value != this._defaultSearchTxt) {
			document.getElementById("searchInput").value = ""
		}
		this.toggleSearchCancel(document.getElementById("searchInput"));
		document.getElementById("searchInput").focus();
		segodocObj.createDocs(null)
	},
	// Function to perform content search
	searchDocs : function() {
		// Clear existing files
		this._jstpl.assign("results", []);
		this._jstpl.build("list.tpl", "searchResultsBox", true);
		document.getElementById("sInfoTxt").value = "Searching...";
		document.getElementById("refresh_txt").value = "";
		document.getElementById("clear_txt").value = "";

		// Add custom headers (reqd. for google authorization)
		YAHOO.util.Connect.resetDefaultHeaders();
		YAHOO.util.Connect.initHeader("Authorization", "GoogleLogin auth="
						+ this._AUTH);
		YAHOO.util.Connect.initHeader("Cookie", "", false);
		// Cancel any exisiting calls if any
		if (YAHOO.util.Connect.isCallInProgress(this._searchConnection)) {
			YAHOO.util.Connect.abort(this._searchConnection)
		}
		// Start Ajax request for content search
		this._searchConnection = YAHOO.util.Connect.asyncRequest("GET",
				"https://docs.google.com/feeds/documents/private/full?q="
						+ document.getElementById("cSearchInput").value, {
					success : this.saveSearchtoDB, // function to call on
					// success
					failure : this.searchFail, // function to call on failure
					customevents : {
						onStart : this.startLoad,
						onComplete : this.completeLoad
					},
					scope : this
				})
	},
	// Function to handle AJAX search success
	saveSearchtoDB : function(o) {
		// convert the resulting XML into native js object
		var xotree = new XML.ObjTree();
		a = xotree.parseDOM(o.responseXML.childNodes[0]);
		// SegodocUtils.log("YOYO "+a.feed["openSearch:totalResults"]);
		// convert date format to readable format
		var date = new Date();
		date.setISO8601(a.feed.updated);

		// Save search results data
		var myInsertQuery = "INSERT INTO search(totalresults, updated, query) VALUES("
				+ a.feed["openSearch:totalResults"]
				+ ', DATETIME("'
				+ date.getSQLString()
				+ '"), "'
				+ this.sanitize(document.getElementById("cSearchInput").value)
				+ '");';
		$sqlite.cmd(this._DBFile, myInsertQuery);
		var selectQuery = "select id, DATETIME(updated) as updated , query from search order by id DESC LIMIT 1;";
		var myArray1 = $sqlite.select(this._DBFile, selectQuery);

		// Insert search results into db
		if (typeof a.feed.entry == "object" && !a.feed.entry.length) {
			// If the result contains just one item
			entry = a.feed.entry;
			myInsertQuery = "INSERT INTO search_results (search_id, key) VALUES ("
					+ myArray1[0]["id"]
					+ ",'"
					+ entry.id.substr(entry.id.indexOf("%3A") + 3) + "');";
			$sqlite.cmd(this._DBFile, myInsertQuery)
		} else {
			// If the result contains just multiple items
			if (typeof a.feed.entry == "object" && a.feed.entry.length > 0) {
				for (var k = 0; k < a.feed.entry.length; k++) {
					entry = a.feed.entry[k];
					myInsertQuery = "INSERT INTO search_results (search_id, key) VALUES ("
							+ myArray1[0]["id"]
							+ ",'"
							+ entry.id.substr(entry.id.indexOf("%3A") + 3)
							+ "');";
					$sqlite.cmd(this._DBFile, myInsertQuery)
				}
			}
		}
		// set current search id
		this._search_id = myArray1[0]["id"];
		// create file items to display
		this.createDocs()
	},
	// function to handle failed search ajax calls
	searchFail : function(o) {
		document.getElementById("sInfoTxt").value = "Error, try again.";
	},
	filterDocs : function(updateNumbers) {
		var authorFilter = false;
		txt = document.getElementById("searchInput").value;
		if (txt == this._defaultSearchTxt) {
			txt = ""
		} else if (txt == "undefined") {
			txt = ""
		} else if (txt.indexOf("@author") == 0) {
			authorFilter = true;
			var author = txt.substr(7);
			author = author.trim();
			txt = ""

			// console.log(txt);
		}
		// console.error(txt);
		if (this._starred == true) {
			var starred = " and g.starred='TRUE' "
		} else {
			var starred = ""
		}
		if (this._sortOrder == "title") {
			this._sortOrder = "lower(title)"
		}
		if (!this._selectedFolder) {
			joinQ = "";
			folderQ = ""
		} else {
			if (this._selectedFolder == this._defaultFolderTxt) {
				joinQ = " LEFT JOIN folders on g.key=folders.key ";
				folderQ = " and folders.key is NULL "
			} else {
				joinQ = " LEFT JOIN folders on g.key=folders.key ";
				folderQ = " and folders.key=g.key and folders.folder='"
						+ this.sanitize(this._selectedFolder) + "' "
			}
		}
		if (authorFilter) {
			folderQ += " and g.author_name like '%" + this.sanitize(author)
					+ "%' ";
		}

		txt = this.sanitize(txt);
		if (this._selectedTabSegodoc) {
			txt = "SD_";
		}
		if (!this._selectedTab) {
			var sql = "select g.key from gdocs g " + joinQ
					+ " where g.title like '%" + txt + "%'" + starred + " "
					+ folderQ + " order by " + this._sortOrder + " "
					+ this._sortUpDownOrder
		} else {
			var sql = "select g.key from gdocs g " + joinQ
					+ " where g.title like '%" + txt + "%' and g.category='"
					+ this._selectedTab + "' " + starred + "  " + folderQ
					+ " order by " + this._sortOrder + " "
					+ this._sortUpDownOrder
		}
		if (this._search_id != 0) {
			if (!this._selectedTab) {
				var sql = "select g.key from gdocs g, search_results r "
						+ joinQ + " where r.search_id=" + this._search_id
						+ " and g.key=r.key and  g.title like '%" + txt + "%' "
						+ starred + " " + folderQ + " order by "
						+ this._sortOrder + " " + this._sortUpDownOrder
			} else {
				var sql = "select g.key from gdocs g, search_results r "
						+ joinQ + " where r.search_id=" + this._search_id
						+ " and g.key=r.key and  g.title like '%" + txt
						+ "%' and g.category='" + this._selectedTab + "' "
						+ starred + " " + folderQ + " order by "
						+ this._sortOrder + " " + this._sortUpDownOrder
			}
		}
		// SegodocUtils.log("FilterDocs: "+sql);

		if (updateNumbers != false) {
			var sql2 = "select COUNT(g.category) as total, g.category from gdocs g "
					+ joinQ
					+ " where g.title like '%"
					+ txt
					+ "%'"
					+ starred
					+ " " + folderQ + " group by g.category";
			if (this._search_id != 0) {
				// if (!this._selectedTab) {
				var sql2 = "select COUNT(g.category) as total, g.category from gdocs g, search_results r "
						+ joinQ
						+ " where r.search_id="
						+ this._search_id
						+ " and g.key=r.key and  g.title like '%"
						+ txt
						+ "%' "
						+ starred + " " + folderQ + " group by g.category"
				// } else {
				// var sql2 = "select COUNT(g.category) as total, g.category
				// from gdocs g, search_results r " + joinQ + " where
				// r.search_id=" + this._search_id + " and g.key=r.key and
				// g.title like '%" + txt + "%' and g.category='" +
				// this._selectedTab + "' " + starred + " " + folderQ + " group
				// by g.category"
				// }
			}
			var counts = $sqlite.select(this._DBFile, sql2);
			var myCounts = {};
			// console.info("results-length " + counts.length);
			var sum = 0;
			for (var p in counts[0]) {
				// console.info(p)
			}
			for (var i = 0; i < counts.length; i++) {
				myCounts[counts[i]["g.category"]] = parseInt(counts[i]["total"]);
				sum += parseInt(counts[i]["total"]);
				// console.error(counts[i]["g.category"] + ":" +
				// counts[i]["total"])
			}
			// console.info(myCounts);
			if (myCounts["document"]) {
				document.getElementById("_d").value = myCounts["document"]
			} else {
				document.getElementById("_d").value = 0
			}
			if (myCounts["presentation"]) {
				document.getElementById("_p").value = myCounts["presentation"]
			} else {
				document.getElementById("_p").value = 0
			}
			if (myCounts["spreadsheet"]) {
				document.getElementById("_s").value = myCounts["spreadsheet"]
			} else {
				document.getElementById("_s").value = 0
			}
		}
		// console.info(sql);
		var results = $sqlite.select(this._DBFile, sql);

		if (authorFilter) {
			if (this._search_id != 0) {
				var results1 = $sqlite.select(this._DBFile,
						"select COUNT(id) as ct from search_results where search_id="
								+ this._search_id)
			} else {
				var results1 = $sqlite.select(this._DBFile,
						"select COUNT(*) as ct from gdocs")
			}
			SegodocUtils.log("author filter");
			total = results1[0]["ct"];
			document.getElementById("sInfoTxt").value = "Filtered:  "
					+ results.length + " in " + total + " Files.";
			document.getElementById("refresh_txt").value = "";
			document.getElementById("clear_txt").value = "Clear"
		} else if (txt == "") {
			if (this._search_id != 0) {
				var results1 = $sqlite.select(this._DBFile,
						"select COUNT(*) as ct from gdocs");
				total = results1[0]["ct"];
				document.getElementById("sInfoTxt").value = "Results: "
						+ results.length + " in " + total + " Files.";
				document.getElementById("refresh_txt").value = "Show all";
				document.getElementById("clear_txt").value = ""
			} else {
				var results1 = $sqlite.select(this._DBFile,
						"select COUNT(*) as ct from gdocs");
				document.getElementById("sInfoTxt").value = " "
						+ results.length + " Files.";
				document.getElementById("refresh_txt").value = "Refresh";
				document.getElementById("clear_txt").value = ""
			}
		} else {
			if (this._search_id != 0) {
				var results1 = $sqlite.select(this._DBFile,
						"select COUNT(id) as ct from search_results where search_id="
								+ this._search_id)
			} else {
				var results1 = $sqlite.select(this._DBFile,
						"select COUNT(*) as ct from gdocs")
			}
			total = results1[0]["ct"];
			document.getElementById("sInfoTxt").value = "Filtered:  "
					+ results.length + " in " + total + " Files.";
			document.getElementById("refresh_txt").value = "";
			document.getElementById("clear_txt").value = "Clear"
		}
		var myResults = new Array();
		d = new Date();
		for (var i = 0; i < results.length; i++) {
			myResults[results[i]["key"]] = results[i]

		}
		sBox = document.getElementById("searchResultsBox").childNodes;
		var j = 0;
		// console.info("sbox: " + sBox.length + " -->");
		for (var i = 0; i < sBox.length; i++) {
			if (myResults[sBox[i].id]) {
				sBox[i].style.display = "";
				j++
			} else {
				sBox[i].style.display = "none"
			}
		}
		n = new Date();
		// console.info(n.getTime() - d.getTime() + "ms");
		// SegodocUtils.log("Dentro filterDOcs, prima della apply di behaviur");
		Behaviour.apply();
		// SegodocUtils.log("dopo la apply di behaviour");

	},
	openMyUILink : function(key, event) {
//		SegodocUtils.log("button: " + event.button);
		if (event.button > 1)
			return false;
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
				.getService(Components.interfaces.nsIWindowMediator);
		var recentWindow = wm.getMostRecentWindow("navigator:browser");

		var sql = "select link3 from gdocs where key='" + key + "'";
		var results = $sqlite.select(this._DBFile, sql);

		if (this.getPreference("checkOpenTabs")) {
			if (!this.checkForOpenLink(results[0]["link3"], false, key)) {
				if (this.getPreference("alwaysOpenTab")) {
					var mainWindow = window
							.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
							.getInterface(Components.interfaces.nsIWebNavigation)
							.QueryInterface(Components.interfaces.nsIDocShellTreeItem).rootTreeItem
							.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
							.getInterface(Components.interfaces.nsIDOMWindow);
					gBrowser = mainWindow.getBrowser();
					gBrowser.selectedTab = gBrowser.addTab(results[0]["link3"])
				} else
					recentWindow.openUILink(results[0]["link3"], event, false,
							true);
			}
		} else if (this.getPreference("alwaysOpenTab")) {
			var mainWindow = window
					.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
					.getInterface(Components.interfaces.nsIWebNavigation)
					.QueryInterface(Components.interfaces.nsIDocShellTreeItem).rootTreeItem
					.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
					.getInterface(Components.interfaces.nsIDOMWindow);
			gBrowser = mainWindow.getBrowser();
			gBrowser.selectedTab = gBrowser.addTab(results[0]["link3"])
		} else
			recentWindow.openUILink(results[0]["link3"], event, false, true);

	},
	openGoogleDocsHome : function(event) {
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
				.getService(Components.interfaces.nsIWindowMediator);
		var recentWindow = wm.getMostRecentWindow("navigator:browser");
		if (!segodoc.checkForOpenLink('https://docs.google.com/', true)) {
			var mainWindow = window
					.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
					.getInterface(Components.interfaces.nsIWebNavigation)
					.QueryInterface(Components.interfaces.nsIDocShellTreeItem).rootTreeItem
					.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
					.getInterface(Components.interfaces.nsIDOMWindow);
			gBrowser = mainWindow.getBrowser();
			gBrowser.selectedTab = gBrowser.addTab('https://docs.google.com/');
		}

	},
	checkCrypted : function(uri) {
		var docID;
		var isCrypted = false;
		var baseURL = uri.indexOf("docs.google.com");
		if (baseURL != -1) {
			// SegodocUtils.log("URI: "+uri);
			uri = uri.substring(baseURL + 15, uri.length);
			var uriSplitted = uri.split("&");
			// SegodocUtils.log(uriSplitted.toString());
			var docIdPos = -1;
			for (i = 0; i < uriSplitted.length; i++) {
				// qua non becca
				// SegodocUtils.log(temp);
				var temp = uriSplitted[i];
				if (temp.indexOf("id=") != -1 || temp.indexOf("docID=") != -1) {
					docIdPos = i;
				}
			}
			// SegodocUtils.log(docIdPos);
			if (docIdPos != -1) {
				docID = uriSplitted[docIdPos];
				docID = docID.substring(docID.indexOf("=") + 1, docID.length);
				// SegodocUtils.log(docID);

				var sql = "select crypted from gdocs where key='" + docID + "'";
				var results = $sqlite.select(this._DBFile, sql);
				// SegodocUtils.log("sql: "+sql);
				if (results[0] != null && results[0]["crypted"] == "TRUE") {
					isCrypted = true;
					// SegodocUtils.log(results[0]["crypted"]);
				}
			} else {
				isCrypted = false;
			}
		}// end RawDocContents
		return isCrypted;
	},
	checkCryptedFromId : function(docID) {
		var isCrypted = false;
		var sql = "select crypted from gdocs where key='" + docID + "'";
		var results = $sqlite.select(this._DBFile, sql);
//		SegodocUtils.log("sql: " + sql);
		if (results[0] != null && results[0]["crypted"] == "TRUE") {
			isCrypted = true;
			SegodocUtils.log(results[0]["crypted"]);
		}

		return isCrypted;
	},
	checkForOpenLink : function(url, home, key) {
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
				.getService(Components.interfaces.nsIWindowMediator);
		var browserEnumerator = wm.getEnumerator("navigator:browser");

		// Check each browser instance for our URL
		var found = false;
		while (!found && browserEnumerator.hasMoreElements()) {
			var browserMyInstance = browserEnumerator.getNext();
			var browserInstance = browserMyInstance.getBrowser();

			// Check each tab of this browser instance
			var numTabs = browserInstance.tabContainer.childNodes.length;
			for (var index = 0; index < numTabs; index++) {
				var currentBrowser = browserInstance.getBrowserAtIndex(index);
				if (currentBrowser.currentURI.spec.indexOf(key) > -1
						|| (home && currentBrowser.currentURI.spec
								.indexOf('https://docs.google.com/#') > -1)) {
					// The URL is already opened. Select this tab.
					browserInstance.selectedTab = browserInstance.tabContainer.childNodes[index];

					// Focus *this* browser
					browserInstance.focus();
					browserMyInstance.focus();
					browserInstance.reload();
					found = true;
					break;
				}
			}
		}

		return found;
	},
	checkLink : function(url, key) {
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
				.getService(Components.interfaces.nsIWindowMediator);
		var browserEnumerator = wm.getEnumerator("navigator:browser");

		// Check each browser instance for our URL
		var found = false;
		while (!found && browserEnumerator.hasMoreElements()) {
			var browserMyInstance = browserEnumerator.getNext();
			var browserInstance = browserMyInstance.getBrowser();

			// Check each tab of this browser instance
			var numTabs = browserInstance.tabContainer.childNodes.length;
			for (var index = 0; index < numTabs; index++) {
				var currentBrowser = browserInstance.getBrowserAtIndex(index);
				if (currentBrowser.currentURI.spec.indexOf(key) > -1) {
					// The URL is already opened. Select this tab.
					browserInstance.selectedTab = browserInstance.tabContainer.childNodes[index];

					// Focus *this* browser
					browserInstance.focus();
					browserMyInstance.focus();
					browserInstance.reload();
					found = true;
					break;
				}
			}
		}

		return found;
	},
	opnLink : function(key) {
		SegodocUtils.log("Key: " + key);
		if (key != "") {
			var sql = "select link3 from gdocs where key='" + key + "'";
			var results = $sqlite.select(this._DBFile, sql);

			// console.info(results[0]["link3"]);
			var mainWindow = window
					.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
					.getInterface(Components.interfaces.nsIWebNavigation)
					.QueryInterface(Components.interfaces.nsIDocShellTreeItem).rootTreeItem
					.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
					.getInterface(Components.interfaces.nsIDOMWindow);
			gBrowser = mainWindow.getBrowser();
			gBrowser.selectedTab = gBrowser.addTab(results[0]["link3"]);
			SegodocUtils.log("OpnLink: " + results.toString());
		}
	},
	opnLinkSameTab : function(key) {
		if (key != "") {
			var sql = "select link3 from gdocs where key='" + key + "'";
			var results = $sqlite.select(this._DBFile, sql);
			// console.info(results[0]["link3"]);
			var mainWindow = window
					.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
					.getInterface(Components.interfaces.nsIWebNavigation)
					.QueryInterface(Components.interfaces.nsIDocShellTreeItem).rootTreeItem
					.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
					.getInterface(Components.interfaces.nsIDOMWindow);
			gBrowser = mainWindow.getBrowser();
			gBrowser.loadURI(results[0]["link3"]);
		}
	},
	opnLinkNewWindow : function(key) {
		SegodocUtils.log("Key: " + key);
		if (key != "") {
			var sql = "select link3 from gdocs where key='" + key + "'";
			var results = $sqlite.select(this._DBFile, sql);
			// console.info(results[0]["link3"]);
			window.open(results[0]["link3"]);
			SegodocUtils.log("OpnLink: " + results.toString());
		}
	},
	copyLink : function(key) {
		if (key != "") {
			var sql = "select link3 from gdocs where key='" + key + "'";
			var results = $sqlite.select(this._DBFile, sql);
			// SegodocUtils.log(results[0]["link3"]);
			var clip = Components.classes["@mozilla.org/widget/clipboardhelper;1"]
					.getService()
					.QueryInterface(Components.interfaces.nsIClipboardHelper);
			clip.copyString(results[0]["link3"]);
			SegodocUtils.log(results.toString());
		}
	},
	openEncryptionPar : function(key) {
		if (key != "") {
			SegodocUtils.log("openEncryptionPar " + key);
			if (segodoc.checkCryptedFromId(key)) {
				var name = segodoc.getFilenameFromID(key);
				var pass = segodoc.getPasswordFromName(name, true);
				var bit = segodoc.getAESbitFromName(name);
				// var first_time=segodoc.getFirstTimeForName(name);
				if (pass == undefined) {
					pass = "";
				}
				SegodocUtils.log("openEncryptionPar popup " + name + " " + pass
						+ " " + bit);
				SegodocUtils.log(pass);
				var params = {
					fileName : name,
					password : pass,
					bitAES : bit,
					cancel : false
				};
				var popupEnc = window
						.openDialog(
								"chrome://segodoc/content/fileOptions.xul",
								"Add some details",
								"chrome,resizable=yes,scrollbars=yes,status=yes,modal=yes",
								params);
				if (!params.cancel) {
					if (params.bitAES != bit) {
						var splitted = name.split("_");
						var newName = "SD_" + splitted[1] + "_" + params.bitAES;
						this.changeFileName(newName, key)
						// this.crypt DEVE recrittare
						// come faccio?
						// --------------------------
						alert("DEvo cambiare filename e ricrittare tutto zio bono");
					}
					params.fileName = "SD_" + params.fileName + "_"
							+ params.bitAES;
					if (pass != "") {
						segodoc.updatePasswordForName(params.fileName,
								params.password);
					} else {
						segodoc.savePasswordForName(params.fileName,
								params.password);
					}
				}
				// qua salvare la nuova pass (e il bit encryption)
				// name=params.fileName;
			} else {
				alert("this is not a SecureGdocs file");
			}
		}
	},
	createNewFilter : function(context) {
		// this.focusSearchField(document.getElementById('searchInput'));
		document.getElementById("searchLabelEnd").className = "close"
		document.getElementById("searchInput").focus();
		document.getElementById("searchInput").value = "@author "
				+ context.getAttribute('author');
		this.filterDocs();
	},
	// Function to handle various document type select events
	callMenuItem : function(a) {
		allLabels = a.parentNode.childNodes;
		for (i = 0; i < allLabels.length; i++) {
			if (allLabels[i].id == a.id) {
				allLabels[i].className = "selected"
			} else {
				allLabels[i].className = "notSelected"
			}
		}
		switch (a.id) {
			case "_a" :
				this._selectedTab = null;
				this._selectedTabSegodoc = false;
				break;
			case "_d" :
				this._selectedTab = "document";
				this._selectedTabSegodoc = false;
				break;
			case "_p" :
				this._selectedTab = "presentation";
				this._selectedTabSegodoc = false;
				break;
			case "_s" :
				this._selectedTab = "spreadsheet";
				this._selectedTabSegodoc = false;
				break;
			case "_sd" : // mettere qua segodoc
				this._selectedTab = "document";
				this._selectedTabSegodoc = true;
				break
		}
		this.filterDocs(false)
	},
	// Function to handle various sort options
	callsortList : function(a) {
		if (a.className == "label") {
			return
		}
		allLabels = a.parentNode.childNodes;
		// change style of selected sortorder
		for (i = 0; i < allLabels.length; i++) {
			if (allLabels[i].className != "label") {
				if (allLabels[i].id == a.id) {
					allLabels[i].className = "on"
				} else {
					allLabels[i].className = "off"
				}
			}
		}
		switch (a.value) {
			case "date" :
				this._sortOrder = "updated";
				break;
			case "title" :
				this._sortOrder = "title";
				break;
			case "author" :
				this._sortOrder = "author_name";
				break
		}
		this.createDocs()
	},
	// Function to handle ASC/DESC sort order
	callsortOrderList : function(a) {
		if (a.className == "label") {
			return
		}
		allLabels = a.parentNode.childNodes;
		for (i = 0; i < allLabels.length; i++) {
			if (allLabels[i].className != "label") {
				if (allLabels[i].id == a.id) {
					allLabels[i].className = "on"
				} else {
					allLabels[i].className = "off"
				}
			}
		}
		switch (a.id) {
			case "_asc" :
				this._sortUpDownOrder = "ASC";
				break;
			case "_desc" :
				this._sortUpDownOrder = "DESC";
				break
		}
		this.createDocs()
	},
	getCharPreference : function(pref) {
		var segodocPref = Components.classes['@mozilla.org/preferences-service;1']
				.getService(Components.interfaces.nsIPrefService)
				.getBranch('extensions.segodoc.');
		if (segodocPref) {
			try {
				return segodocPref.getCharPref(pref);
			} catch (e) {
				return false; // possibly not a boolean type preference
			}
		}
	},
	validateEmail : function(email) {
		var emailpat = /^([a-zA-Z0-9])+([\.a-zA-Z0-9_-])*@([a-zA-Z0-9-])+(\.[a-zA-Z0-9_-]+)+$/;
		if (!emailpat.test(email)) {
			return false
		}
		return true
	},
	executeUploadTemplate : function(file, newFile, iscrypted) {
		var aFile = Components.classes["@mozilla.org/file/local;1"]
				.createInstance(Components.interfaces.nsILocalFile);
		if (!aFile)
			return false;
		var dir = this._session.getLocationFile();
		sessionObj = this._session.getSession();
		if (newFile) {
			aFile.initWithPath(dir.path
					+ '/chrome/segodoc/content/usertemplates/new/' + file);
		} else {
			aFile.initWithPath(dir.path
					+ '/chrome/segodoc/content/usertemplates/'
					+ sessionObj.username + '/' + file);
		}
		var name;
		// var stringResult="";
		var bit = this.getCharPreference('bitAESKeyPref');
		// alert(bit);
		var params = {
			fileName : "",
			password : "",
			bitAES : bit,
			cancel : false
		};
		if (iscrypted) {
			var popupEnc = window.openDialog(
					"chrome://segodoc/content/fileOptions.xul",
					"Add some details",
					"chrome,resizable=yes,scrollbars=yes,status=yes,modal=yes",
					params);
			params.fileName = "SD_" + params.fileName + "_" + params.bitAES;
			if (!params.cancel) {
				segodoc.savePasswordForName(params.fileName, params.password);
				name = params.fileName;
			}
			// this._sdDocTempList.push(stringResult);
		} else {
			name = prompt("Please enter name:");
		}
		if (aFile.exists() && name && !params.cancel) {
			this.uploadTemplate(aFile, name);
		}
	},
	uploadTemplate : function(file, name, stringResult) {
		this._uploadHistory.push({
					"file" : name,
					"status" : false,
					"error" : ""
				});
		// document.getElementById("upload_txt").style.display = "";
		// document.getElementById("upload_txt").value = "Uploading: " + name;
		var ios = Components.classes["@mozilla.org/network/io-service;1"]
				.getService(Components.interfaces.nsIIOService);
		var fileURI = ios.newFileURI(file);
		const BOUNDARY = "END_OF_PART";
		const MULTI = "@mozilla.org/io/multiplex-input-stream;1";
		const FINPUT = "@mozilla.org/network/file-input-stream;1";
		const STRINGIS = "@mozilla.org/io/string-input-stream;1";
		const BUFFERED = "@mozilla.org/network/buffered-input-stream;1";
		const nsIMultiplexInputStream = Components.interfaces.nsIMultiplexInputStream;
		const nsIFileInputStream = Components.interfaces.nsIFileInputStream;
		const nsIStringInputStream = Components.interfaces.nsIStringInputStream;
		const nsIBufferedInputStream = Components.interfaces.nsIBufferedInputStream;
		var mis = Components.classes[MULTI]
				.createInstance(nsIMultiplexInputStream);
		var fin = Components.classes[FINPUT].createInstance(nsIFileInputStream);
		fin.init(file, 1, 292, null);
		var buf = Components.classes[BUFFERED]
				.createInstance(nsIBufferedInputStream);
		buf.init(fin, (file.fileSize - 1));
		var mime_1 = Components.classes[STRINGIS]
				.createInstance(nsIStringInputStream);
		var mime_1_string = new String();
		mime_1_string += "\r\n";
		mime_1_string += "Media multipart posting\r\n";
		mime_1_string += "\r\n--" + BOUNDARY + "\r\n";
		mime_1_string += "Content-Type: application/atom+xml\r\n";
		mime_1_string += "\r\n";
		mime_1_string += '<?xml version=\'1.0\' encoding=\'UTF-8\'?><atom:entry xmlns:atom="http://www.w3.org/2005/Atom"><atom:category scheme="http://schemas.google.com/g/2005#kind" term="http://schemas.google.com/docs/2007#spreadsheet" /><atom:title>'
				+ name + "</atom:title></atom:entry>\r\n";
		mime_1_string += "\r\n--" + BOUNDARY + "\r\n";
		mime_1_string += "Content-Type: "
				+ (this.getMIMETypeForURI(fileURI) ? this
						.getMIMETypeForURI(fileURI) : this
						.getMIMETypeForExt(file.leafName)) + "\r\n\r\n";
		mime_1.setData(mime_1_string, mime_1_string.length);
		var hsis = Components.classes[STRINGIS]
				.createInstance(nsIStringInputStream);
		var sheader = new String();
		sheader += "\r\n";
		sheader += "--" + BOUNDARY
				+ '\r\nContent-disposition: form-data;name="addfile"\r\n\r\n1';
		sheader += "\r\n--" + BOUNDARY + "\r\n";
		sheader += 'Content-disposition: form-data;name="filename";filename="'
				+ name + '"\r\n';
		sheader += "Content-Type: application/octet-stream\r\n";
		sheader += "Content-Length: " + file.fileSize + "\r\n\r\n";
		hsis.setData(sheader, sheader.length);
		var endsis = Components.classes[STRINGIS]
				.createInstance(nsIStringInputStream);
		var bs = new String("\r\n--" + BOUNDARY + "--\r\n");
		endsis.setData(bs, bs.length);
		mis.appendStream(mime_1);
		mis.appendStream(buf);
		mis.appendStream(endsis);
		// console.log(buf);
		YAHOO.util.Connect.resetDefaultHeaders();
		YAHOO.util.Connect.initHeader("Authorization", "GoogleLogin auth="
						+ this._AUTH);
		YAHOO.util.Connect.initHeader("Content-Length", mis.available() - 2);
		YAHOO.util.Connect.setDefaultPostHeader("multipart/related; boundary="
				+ BOUNDARY);
		YAHOO.util.Connect.initHeader("Slug", name);
		YAHOO.util.Connect.initHeader("MIME-version", "1.0");
		YAHOO.util.Connect.initHeader("Cookie", "", false);
		this._uploadConnection = YAHOO.util.Connect.asyncRequest("POST",
				"https://docs.google.com/feeds/documents/private/full", {
					success : this.uploadTemplateSuccess,
					failure : this.uploadFail,
					scope : this
				}, mis)
	},
	uploadTemplateSuccess : function(o) {
		this._UploadSuccessCount++;
		document.getElementById("refresh_txt").value = "Completed ("
				+ this._UploadSuccessCount + ")";
		// console.log("upload success");
		this._uploadHistory[this._uploadHistory.length - 1].status = "success";
		this.processCompleted();
		this.processQ(true);
		this.getFeed();
		var xotree = new XML.ObjTree();
		a = xotree.parseDOM(o.responseXML.childNodes[0]);
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
				.getService(Components.interfaces.nsIWindowMediator);
		var recentWindow = wm.getMostRecentWindow("navigator:browser");
		recentWindow.openUILinkIn(a.entry.link[0]["-href"], "tab");
		// var urlDoc = a.entry.link[0]["-href"];
		// var id=urlDoc.substring(urlDoc.indexOf("id=")+3,urlDoc.length);

		// aggiungo not Crypted perche non ancora e crittato
		// this._sdDocTempList[this._sdDocTempList.length-1]+=" "+id+"
		// "+"notYetCrypted";
		// SegodocUtils.log("CAZZAROLO
		// "+this._sdDocTempList[this._sdDocTempList.length-1]);

	},
	uploadFail : function(o) {
		this._thisUploadErrorCount++;
		// console.error(o);
		// console.error("upload Fail");
		this._uploadHistory[this._uploadHistory.length - 1].status = "error";
		this._uploadHistory[this._uploadHistory.length - 1].error = o.statusText;
		document.getElementById("refresh_txt").value = this._thisUploadErrorCount;
		// document.getElementById("error_text").style.display = "";
		// document.getElementById("error_img").style.display = "";
		this.processCompleted();
		this.processQ(false)
	},
	processCompleted : function() {
		this._uploadHistory.reverse();
		/*
		 * his._jstpl3.assign("list", this._uploadHistory);
		 * this._jstpl3.build("list3.tpl", "finishedTab", true);
		 * this._uploadHistory.reverse()
		 */
		// alert("New doc create from template");
		document.getElementById("refresh_txt").style.display = "Upload Completed";
	},
	processQ : function() {
		// var uploadStatus =
		// YAHOO.util.Connect.isCallInProgress(this._uploadConnection);
		// if (!uploadStatus && this._uploadQ.length > 0) {
		// if(this._uploadQ[0]._type == "file")
		// this.upload(this._uploadQ[0].file);
		// else if(this._uploadQ[0]._type == "data")
		// this.uploadClipBoard(this._uploadQ[0]);
		// this._uploadQ.splice(0, 1);
		// // this._jstpl2.assign("list", this._uploadQ);
		// // this._jstpl2.build("list2.tpl", "QTab", true)
		// } else {
		// if (this._uploadQ.length == 0) {
		// document.getElementById("upload_txt").style.display = "none";
		// document.getElementById("upload_txt").value = ""
		// }
		// }
	},
	getMIMETypeForURI : function(aURI, name) {
		try {
			mime = this.getMIMEService().getTypeFromURI(aURI);
			if (mime != "application/octet-stream" && mime != undefined) {
				return mime
			} else {
				return false
			}
		} catch (e) {
			return false
		}
		return false
	},
	getMIMETypeForExt : function(name) {
		name = name.toLowerCase();
		var ext = name.substr((name.lastIndexOf(".") + 1));
		// console.log(ext);
		switch (ext) {
			case "txt" :
				return "text/plain";
			case "doc" :
				return "application/msword";
			case "rtf" :
				return "application/msword";
			case "ppt" :
				return "application/vnd.ms-powerpoint";
			case "pps" :
				return "application/vnd.ms-powerpoint";
			case "xls" :
				return "application/vnd.ms-excel";
			case "csv" :
				return "application/vnd.ms-excel";
			case "odt" :
				return "application/vnd.oasis.opendocument.text";
			case "sxw" :
				return "application/vnd.sun.xml.writer";
			case "ods" :
				return "application/vnd.oasis.opendocument.spreadsheet"
		}
	},
	getPassword : function(url, username, type) {
		if (!type)
			type = 'segodoc';
		if ("@mozilla.org/passwordmanager;1" in Components.classes) {
			// Password Manager exists so this is not Firefox 3 (could be
			// Firefox 2, Netscape, SeaMonkey, etc).
			// Password Manager code
			var pmInternal = Components.classes["@mozilla.org/passwordmanager;1"]
					.getService()
					.QueryInterface(Components.interfaces.nsIPasswordManagerInternal);
			if (!pmInternal) {
				return null
			}
			var hostout = {
				value : ""
			};
			var userout = {
				value : ""
			};
			var passwordout = {
				value : ""
			};
			try {
				pmInternal.findPasswordEntry(url + "#" + type, username, null,
						hostout, userout, passwordout);
				return {
					u : userout.value,
					p : passwordout.value
				}
			} catch (e) {
				SegodocUtils.log("findPasswordEntry() failed\n")
			}
		} else if ("@mozilla.org/login-manager;1" in Components.classes) {
			// Login Manager exists so this is Firefox 3
			// Login Manager code
			try {
				var myLoginManager = Components.classes["@mozilla.org/login-manager;1"]
						.getService(Components.interfaces.nsILoginManager);
				var password = null;
				// Find users for the given parameters
				var logins = myLoginManager.findLogins({}, 'chrome://segodoc/',
						type, null);

				// Find user from returned array of nsILoginInfo objects

				for (var i = 0; i < logins.length; i++) {
					// if (logins[i].username == username) {
					username = logins[i].username;
					password = logins[i].password;

					break;
					// }
				}
				if (password)
					return {
						u : username,
						p : password
					}
			} catch (e) {
				alert(e);
			}

		}

		return null
	},
	savePassword : function(url, username, password, type) {
		if (!type)
			type = 'segodoc';

		if (!url || !username || !password) {
			return false
		}
		this.deletePassword(url, username, type);

		if ("@mozilla.org/passwordmanager;1" in Components.classes) {
			// Password Manager exists so this is not Firefox 3 (could be
			// Firefox 2, Netscape, SeaMonkey, etc).
			// Password Manager code
			var pm = Components.classes["@mozilla.org/passwordmanager;1"]
					.getService()
					.QueryInterface(Components.interfaces.nsIPasswordManager);
			if (!pm) {
				return false
			}

			try {
				pm.addUser(url + "#" + type, username, password);
				SegodocUtils.log("addUser success\n")
			} catch (e) {

				return false
			}
		} else if ("@mozilla.org/login-manager;1" in Components.classes) {
			// Login Manager exists so this is Firefox 3
			// Login Manager code
			try {
				var myLoginManager = Components.classes["@mozilla.org/login-manager;1"]
						.getService(Components.interfaces.nsILoginManager);
				var nsLoginInfo = new Components.Constructor(
						"@mozilla.org/login-manager/loginInfo;1",
						Components.interfaces.nsILoginInfo, "init");
				var extLoginInfo = new nsLoginInfo('chrome://segodoc/', type,
						null, username, password, "", "");

				myLoginManager.addLogin(extLoginInfo);
			} catch (e) {
				alert(e);
			}
		}

		SegodocUtils.log("password saved");
		return true
	},
	deletePassword : function(url, username, type) {
		if (!type)
			type = 'segodoc';

		if ("@mozilla.org/passwordmanager;1" in Components.classes) {
			// Password Manager exists so this is not Firefox 3 (could be
			// Firefox 2, Netscape, SeaMonkey, etc).
			// Password Manager code
			if (!url || !username) {
				return false
			}
			var pm = Components.classes["@mozilla.org/passwordmanager;1"]
					.getService()
					.QueryInterface(Components.interfaces.nsIPasswordManager);
			if (!pm) {
				return false
			}
			try {
				pm.removeUser(url + "#" + type, username)
			} catch (e) {
				//
				return false
			}
			return true
		} else if ("@mozilla.org/login-manager;1" in Components.classes) {
			// Login Manager exists so this is Firefox 3
			// Login Manager code
			try {
				// Get Login Manager
				var passwordManager = Components.classes["@mozilla.org/login-manager;1"]
						.getService(Components.interfaces.nsILoginManager);

				// Find users for this extension
				var logins = passwordManager.findLogins({},
						'chrome://segodoc/', type, null);

				for (var i = 0; i < logins.length; i++) {
					if (logins[i].username == username) {
						passwordManager.removeLogin(logins[i]);
						break;
					}
				}
			} catch (ex) {
				// This will only happen if there is no nsILoginManager
				// component class
			}
		}
	},
	// Function to periodically check for valid session accross multiple
	// windows. uses custom session component
	checkSession : function() {
		sessionObj = segodocObj._session.getSession();
		// console.error("sessin
		// checking->"+sessionObj.session+","+gdocsbarObj._session._busy);
		if (segodocObj._session._busy == true) {
			return false;
		}
		if (YAHOO.util.Connect.isCallInProgress(this._feedConnection))
			return false;
		if (sessionObj.session) {
			if (document.getElementById("searchPage").collapsed
					&& document.getElementById("searchPage")
							.getAttribute('force') == 'true') {
				document.getElementById("searchPage").collapsed = false; // collapsesandosh
				document.getElementById("loginPage").collapsed = true;
				segodocObj.createDocs()
			}

		} else {
			if (!document.getElementById("searchPage").collapsed) {
				segodocObj.setErrorText("You have signed out.")
			}
			document.getElementById("searchPage").collapsed = true;
			document.getElementById("loginPage").collapsed = false
		}
	},
	// Function to set error_txt on login page
	setErrorText : function(txt) {
		dnode = document.getElementById("error_txt");
		while (dnode.childNodes.length > 0) {
			dnode.removeChild(dnode.childNodes[0])
		}
		tnode = document.createTextNode(txt);
		document.getElementById("error_txt").appendChild(tnode);
		dnode.style.display = ""
	},
	error_text : function(error_txt) {
		dnode = document.getElementById("error_txt");
		dnode.style.display = "";
		while (dnode.childNodes.length > 0) {
			dnode.removeChild(dnode.childNodes[0])
		}
		tnode = document.createTextNode(error_txt);
		document.getElementById("error_txt").appendChild(tnode)
	},

	// Event handler for ajax requests for loading gif animation
	startLoad : function(args) {
		document.getElementById("_loading_1").style.display = "inline";
		document.getElementById("_loading_2").style.display = ""
	},
	// Event handler for ajax requests for loading gif animation
	completeLoad : function() {
		// console.log("completed!");
		document.getElementById("_loading_1").style.display = "none";
		document.getElementById("_loading_2").style.display = "none"
	},
	addFoldersMenu : function() {
		var items_not_in_folders = $sqlite
				.select(
						this._DBFile,
						"select COUNT(gdocs.key) as total from gdocs LEFT JOIN folders on gdocs.key=folders.key where folders.key is NULL");
		var folders = $sqlite
				.select(this._DBFile,
						"select folder, COUNT(folder) as total from folders group by folder");
		var total = $sqlite.select(this._DBFile,
				"select COUNT(key) as total from gdocs");
		sessionObj = this._session.getSession();
		// var smartFolders = $sqlite.select(this._DBFile, "select * from
		// smartfolders
		// where email='"+sessionObj.username+"' order by fname");
		// console.log("--->" + total[0]["total"]);
		// console.log(items_not_in_folders.length);
		this._jstpl4.assign("total", total[0]["total"]);
		this._jstpl4.assign("list", folders);
		this._jstpl4.assign("not_in_folders", items_not_in_folders[0]["total"]);
		// this._jstpl4.assign("smartfolders", smartFolders);
		this._jstpl4.build("list4.tpl", "folders_menupop", true);
		// SegodocUtils.log("fine di addFolderMenu");
	},
	toggleTampering : function(value) {
		var startCommand = document.getElementById('tamperStart');
		var stopCommand = document.getElementById('tamperStop');
		if (value) {
			startCommand.setAttribute("disabled", "true");
			stopCommand.removeAttribute("disabled");
		} else {
			startCommand.removeAttribute("disabled");
			stopCommand.setAttribute("disabled", "true");
		}
	},
	showSidebar : function() {
		this.toggleSidebar(true);
	},
	toggleSidebar : function(forceOpen) {
		var toggleSidebar = window.toggleSidebar || window.parent.toggleSidebar;
		toggleSidebar('viewSeGoDoc', forceOpen);
	},
	onSidebarUnload : function() {
		stopTamper();
		segodoc.logout();
		var segodocButton = segodoc.getParentDocument()
				.getElementById("segodoc-button");
		if (segodocButton) {
			segodocButton.setAttribute('showing', 'false');
			return;
		}

	},
	addToolbarButton : function() {

		var segodocButton = document.getElementById("segodoc-button");
		if (segodocButton) {

			segodocButton.setAttribute('showing', 'true');
			return;
		}

		// dump("creating button");
		var navBar = document.getElementById("nav-bar");
		var currentSet = navBar.getAttribute("currentset");
		if (!currentSet) {
			currentSet = navBar.getAttribute("defaultset");
			if (!currentSet) {
				return;
			}
		}

		var items = currentSet.split(",");
		var urlBarIndex = items.length;
		for (var i = 0; i < items.length; i++) {
			if (items[i] == "segodoc-button") {
				return;
			}// found the button
			if (items[i] == "urlbar-container") {
				urlBarIndex = i;
			}
		}
		items.splice(urlBarIndex, 0, "segodoc-button");
		navBar.setAttribute("currentset", items.join(","));
		document.persist("nav-bar", "currentset");
		var navToolbox = document.getElementById("navigator-toolbox")
		var toolboxPalette = navToolbox.palette;
		for (var i = 0; i < toolboxPalette.childNodes.length; i++) {
			if (toolboxPalette.childNodes[i].id != "segodoc-button") {
				continue;
			}
			// make a deep copy of the button
			var buttonCopy = toolboxPalette.childNodes[i].cloneNode(true);
			buttonCopy.setAttribute('showing', 'true');

			// get the urlbar and insert it before there
			var urlBarElem = document.getElementById("urlbar-container");
			if (urlBarElem) {
				navBar.insertBefore(buttonCopy, urlBarElem);
			} else {
				navBar.appendChild(buttonCopy);
			}
			break;
		}
	},
	SD_ShowPopUp : function(element) {
		var button = document.getElementById(element);
		button.open = true;
	},
	handleStatusIconClick : function(event) {
		// only show on left/main mouse click
		if (event.button == 0) {
			this.showSidebar();
		}
		return true;
	},
	getPreference : function(pref) {
		var segodocPref = Components.classes['@mozilla.org/preferences-service;1']
				.getService(Components.interfaces.nsIPrefService)
				.getBranch('extensions.segodoc.');
		if (segodocPref) {
			try {
				return segodocPref.getBoolPref(pref);
			} catch (e) {
				return false; // possibly not a boolean type preference
			}
		}
	},
	getParentDocument : function() {
		return window
				.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
				.getInterface(Components.interfaces.nsIWebNavigation)
				.QueryInterface(Components.interfaces.nsIDocShellTreeItem).rootTreeItem
				.QueryInterface(Components.interfaces.nsIInterfaceRequestor)
				.getInterface(Components.interfaces.nsIDOMWindow).document;
	},
	setSidebarWidth : function(newWidth) {
		var sidebarElem = document.getElementById('sidebar-box');
		if (sidebarElem) {
			sidebarElem.setAttribute('width', newWidth);
		}
	},
	decrypt : function(text, uri) { // agg try catch
		var docID = segodoc.getIdFromURI(uri);
		var name = segodoc.getFilenameFromID(docID);
		var password = segodoc.getPasswordFromName(name, false);
		var bit = segodoc.getAESbitFromName(name);
		// var first_time=segodoc.getFirstTimeForName(name);
		if (password == undefined) {
			var params = {
				fileName : name,
				password : "",
				bitAES : bit
			};
			var popupEnc = window.openDialog(
					"chrome://segodoc/content/fileOptions.xul",
					"Add some details",
					"chrome,resizable=yes,scrollbars=yes,status=yes,modal=yes",
					params);
			params.fileName = "SD_" + params.fileName + "_" + params.bitAES;
			password = params.password;
			segodoc.savePasswordForName(name, password);
		}

		// begin decrypt routine
		var string = text;

		var res1 = AESDecryptCtr(string, password, bit);
		SegodocUtils.log("Contenuto delimitatori decifrato:\n " + res1);

//		if(res1.lastIndexOf("987drt654")!=-1) {		
//			res1=res1.substring(0,res1.lastIndexOf("987"));
			
//		}
		if (res1.lastIndexOf("%3Cbr%3E") != -1) {
			res1=res1.substring(0, res1.lastIndexOf("%3Cbr%3E")+8);
		}
		res1 = unescape(res1);
		res1 = SegodocUtils.convertAphostrophe(res1);
		res1 = SegodocUtils.htmlEscape(res1);
		SegodocUtils.log("Contenuto delimitatori decifrato, "
				+ "unescape e convert aphostrophe:\n " + res1);
//		var allString = firstPart + res1 + secondPart;
//		text = allString;
		// end decrypt routine
		return res1;
	},
	crypt : function(text, uri) {
		var docID = segodoc.getIdFromURI(uri);
		var name = segodoc.getFilenameFromID(docID);
		var password = segodoc.getPasswordFromName(name, false);
		var bit = segodoc.getAESbitFromName(name);
		SegodocUtils.log("Id, name, pass, bit: \n" + docID + " " + name + " "
				+ password + " " + bit);
				
		if (password == undefined) {
			var params = {
				fileName : name,
				password : "",
				bitAES : bit
			};
			var popupEnc = window.openDialog(
					"chrome://segodoc/content/fileOptions.xul",
					"Add some details",
					"chrome,resizable=yes,scrollbars=yes,status=yes,modal=yes",
					params);
			params.fileName = "SD_" + params.fileName + "_" + params.bitAES;
			password = params.password;
			segodoc.savePasswordForName(name, password);
		}
		var cryptedDocContents = AESEncryptCtr(text, password, bit);
		var cryptedDocContentsEscaped = encodeURIComponent(cryptedDocContents);
		cryptedDocContentsEscaped = "123456789crypted"
				+ cryptedDocContentsEscaped + "987654321crypted";

		return cryptedDocContentsEscaped;
	},
	saveBitKey : function() {
		var bitSelectedIndex = document.getElementById("bitKey-group").selectedIndex;
		var bit;
		if (bitSelectedIndex == 0)
			bit = 128;
		if (bitSelectedIndex == 1)
			bit = 192;
		if (bitSelectedIndex == 2)
			bit = 256;
		if (this._bitAES != bit) {
			document.getElementById("infoPass").value = "You have changed bit for the AES key to "
					+ bit + " bits";
			this._bitAES = bit;
		} else {
			document.getElementById("infoPass").value = "Already selected "
					+ bit + " bits";
		}
		SegodocUtils.log("Changed bit for AES " + this._bitAES);
		// return pass;
	},
	toggleViewPassAES : function() {
		if (document.getElementById("passAES").type == "password") {
			document.getElementById("passAES").type = "";
			document.getElementById("viewAESPAss").label = "hide pass";
		} else {
			document.getElementById("passAES").type = "password";
			document.getElementById("viewAESPAss").label = "view pass";
		}
	},
	copyPassAES : function() {
		var clip = Components.classes["@mozilla.org/widget/clipboardhelper;1"]
				.getService()
				.QueryInterface(Components.interfaces.nsIClipboardHelper);
		clip.copyString(document.getElementById("passAES").value);
		// document.getElementById("passInput").value
	},
	getAESPass : function() {
		return this._aesPass;
	},
	setAESBitRadio : function() {
		var index;
		if (this._bitAES == 128)
			index = 0;
		if (this._bitAES == 192)
			index = 1;
		if (this._bitAES == 256)
			index = 2;
		document.getElementById("bitKey-group").selectedIndex = index;

		SegodocUtils.log("selected " + index + " 0=128 1=192 2=256");
	},
	fileNameExist : function(fileName) {
		var sql = "select title from gdocs";
		var results = $sqlite.select(this._DBFile, sql);
		for (i = 0; i < results.length; i++) {
			// SegodocUtils.log(results[i]["title"]);
			if (fileName == results[i]["title"]) {
				return true;
			} else {
				return false;
			}
		}
	},
	getFilenameFromID : function(key) {
		var sql = "select title from gdocs where key='" + key + "'";
		// SegodocUtils.log(sql);
		var results = $sqlite.select(this._DBFile, sql);
		// SegodocUtils.log(results[0]["title"]);
		return results[0]["title"];
	},
	getPasswordFromName : function(name, edit) {
		var sql = "select password from segodoc where title='" + name + "'";
		// SegodocUtils.log(sql);
		var results = $sqlite.select(this._DBFile, sql);
		var password;
		// if(results.length<1 && !edit || results[0]==undefined) {
		// //QUA NON VA BENE ##########################
		// //deve vedere se annulla l'utente
		// // password=prompt("Insert the password for "+name);
		// // segodoc.savePasswordForName(name, password);
		// var bit="128";
		// var splitted=name.split("_");
		// if(splitted[2]!="") {
		// bit=splitted[2];
		// }
		// // -----------------------------------------------
		// var params = { fileName: name, password: "", bitAES: bit };
		// var popupEnc =
		// window.openDialog("chrome://segodoc/content/fileOptions.xul",
		// "Add some details",
		// "chrome,resizable=yes,scrollbars=yes,status=yes,modal=yes",params);
		// params.fileName = "SD_"+params.fileName+"_"+params.bitAES;
		//			
		// segodoc.savePasswordForName(name,params.password);

		// } else {
		if (results[0] != undefined) {
			// SegodocUtils.log(results[0]["password"]);
			password = results[0]["password"];
		}
		// }
		return password;
	},
	getIdFromURI : function(uri) {
		if (uri.indexOf("docs.google.com") != -1) {
			// SegodocUtils.log("URI: "+uri);
			uri = uri.substring(uri.indexOf("docs.google.com"), uri.length);
			var uriSplitted = uri.split("&");
			// SegodocUtils.log(uriSplitted.toString());
			var docIdPos = -1;
			for (i = 0; i < uriSplitted.length; i++) {
				// qua non becca
				// SegodocUtils.log(temp);
				var temp = uriSplitted[i];
				if (temp.indexOf("docID=") != -1 || temp.indexOf("id=") != -1) {
					docIdPos = i;
				}
			}
			if (docIdPos != -1) {
				docID = uriSplitted[docIdPos];
				docID = docID.substring(docID.indexOf("=") + 1, docID.length);
				// SegodocUtils.log("docID extracted "+docID);
			}
			return docID;
		}
	},
	savePasswordForName : function(fileName, password) {
		var myInsertQuery = "INSERT INTO segodoc(title, password, first_time) VALUES('"
				+ fileName + "', '" + password + "', 'TRUE')";
		// SegodocUtils.log(myInsertQuery);
		$sqlite.cmd(this._DBFile, myInsertQuery);
		// SegodocUtils.log("PASS FILENAME "+password+" "+fileName);

	},
	updatePasswordForName : function(fileName, password) {
		var sql = "UPDATE segodoc SET password = '" + password
				+ "' where title = '" + fileName + "'";
		// SegodocUtils.log(myInsertQuery);
		$sqlite.cmd(this._DBFile, sql);
		SegodocUtils.log("updated " + fileName + " pass to " + password);
		// SegodocUtils.log("PASS FILENAME "+password+" "+fileName);

	},
	deletePasswordForName : function(fileName) {
		var sql = "DELETE FROM segodoc where title = '" + fileName + "'";
		// SegodocUtils.log(myInsertQuery);
		$sqlite.cmd(this._DBFile, sql);
		SegodocUtils.log("deleted " + fileName + " pass");
		// SegodocUtils.log("PASS FILENAME "+password+" "+fileName);

	},
	getAESbitFromName : function(fileName) {
		var splitted = fileName.split("_");
		return splitted[splitted.length - 1];
	},
	getFirstTimeForName : function(fileName) {
		var sql = "select first_time from segodoc where title='" + fileName
				+ "'";
		// SegodocUtils.log(sql);
		var results = $sqlite.select(this._DBFile, sql);
		SegodocUtils.log(results[0]["first_time"]);
		return results[0]["first_time"];;
	},
	setFirstTimeForNameFalse : function(fileName, password) {

		var sql = "UPDATE segodoc SET first_time = 'FALSE' where title = '"
				+ fileName + "'";
		// SegodocUtils.log(myInsertQuery);
		$sqlite.cmd(this._DBFile, sql);
		SegodocUtils.log("updated " + fileName + " to FALSE");
	},
	deleteFile : function(id, event) {

		var idToDelete = this.getIdWithRevisionFromFeeds(id);
		SegodocUtils.log("id with " + idToDelete);
		var conf = confirm("Delete file " + this.getFilenameFromID(id) + "?")
		if (conf) {
			YAHOO.util.Connect.resetDefaultHeaders();
			YAHOO.util.Connect.initHeader("Authorization", "GoogleLogin auth="
							+ this._AUTH);
			YAHOO.util.Connect.initHeader("Cookie", "", false);
			// Cancel any exisiting calls if any
			if (YAHOO.util.Connect.isCallInProgress(this._deleteConnection)) {
				YAHOO.util.Connect.abort(this._deleteConnection)
			}

			// Start Ajax request for content search
			this._deleteConnection = YAHOO.util.Connect.asyncRequest("DELETE",
					idToDelete, {
						success : this.deleteSuccess, // function to call on
						// success
						failure : this.deleteFailed, // function to call on
						// failure
						customevents : {
							onStart : this.startLoad,
							onComplete : this.completeLoad
						},
						scope : this
					})
		}
	},
	deleteSuccess : function() {
		// document.getElementById("sInfoTxt").value = "File
		// "+this.getFilenameFromID(id)+" moved to Trash";
		// document.getElementById("refresh_txt").value = "";
		this.getFeed();

	},// comunicare su info txt che s tato spostato nel cestino e ricaricare

	deleteFailed : function() {
		// document.getElementById("sInfoTxt").value = "Problem deleting file
		// "+this.getFilenameFromID(id);
		// document.getElementById("refresh_txt").value = "";
		// this.filterDocs();
	},
	renameFile : function(id, event) {
		var idToRename = this.getIdWithRevisionFromFeeds(id);
		SegodocUtils.log("id with " + idToRename);
		var oldName = this.getFilenameFromID(id);
		var bitCipher = "";
		if (oldName.indexOf("SD_") == 0) {
			var splitted = oldName.split("_");
			oldName = splitted[1];
			bitCipher = splitted[2];
		}
		var newName = prompt("Insert new filename", oldName);
		if (bitCipher != "") {
			newName = "SD_" + newName + "_" + bitCipher;
			SegodocUtils.log("newName Sego " + newName);
		}
		if (newName != oldName && newName != "" && newName != null) {
			SegodocUtils.log("changing the name");
			this.changeFileName(newName, idToRename);
		}

	},
	renameSuccess : function() {
		// document.getElementById("sInfoTxt").value = "File
		// "+this.getFilenameFromID(id)+" renamed";
		// document.getElementById("refresh_txt").value = "";
		this.getFeed();

	},

	renameFailed : function() {
		// document.getElementById("sInfoTxt").value = "Problem deleting file
		// "+this.getFilenameFromID(id);
		// document.getElementById("refresh_txt").value = "";
		// this.filterDocs();
	},
	changeFileName : function(newName, id) {
		var idToRename = this.getIdWithRevisionFromFeeds(id);
		const STRINGIS = "@mozilla.org/io/string-input-stream;1";
		const nsIStringInputStream = Components.interfaces.nsIStringInputStream;
		var mime_1 = Components.classes[STRINGIS]
				.createInstance(nsIStringInputStream);

		var mime_1_string = new String();
		mime_1_string += '<?xml version=\'1.0\' encoding=\'UTF-8\'?><atom:entry xmlns:atom="http://www.w3.org/2005/Atom"><atom:category scheme="http://schemas.google.com/g/2005#kind" term="http://schemas.google.com/docs/2007#spreadsheet" /><atom:title>'
				+ newName + "</atom:title></atom:entry>\r\n";
		mime_1.setData(mime_1_string, mime_1_string.length);

		YAHOO.util.Connect.resetDefaultHeaders();
		YAHOO.util.Connect.initHeader("Content-Length", mime_1.length);
		YAHOO.util.Connect.initHeader("Content-Type", "application/atom+xml");
		YAHOO.util.Connect.initHeader("Authorization", "GoogleLogin auth="
						+ this._AUTH);
		YAHOO.util.Connect.initHeader("Cookie", "", false);
		this._renameConnection = YAHOO.util.Connect.asyncRequest("PUT",
				idToRename, {
					success : this.renameSuccess, // function to call on
					// success
					failure : this.renameFailed,
					scope : this
				}, mime_1)
	},
	getIdWithRevisionFromFeeds : function(id) {
		var a = this._feed;
		var idWithRevision = "";
		for (var k = 0; k < a.feed.entry.length; k++) {
			entry = a.feed.entry[k];
			for (var j = 0; j < entry.link.length; j++) {

				if (entry.link[j]["-rel"] == "edit") {
					// SegodocUtils.log(entry.link[j]["-href"]);
					// alert(entry.link[j]["-href"]);
					if (entry.link[j]["-href"].indexOf(id) != -1) {
						idWithRevision = entry.link[j]["-href"];
						SegodocUtils.log("ID con revisione: " + idWithRevision);
						// idToRename=idToRename.replace("https://", "http://");
						// SegodocUtils.log("ID DA rinominare: "+idToRename);
					}
				}
			}
		}
		return idWithRevision;
	},
	genChar : function(len) {
		// var chars =
		// "^[_]!#$%&()<=>{}|?@*+-0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ~abcdefghijklmnopqrstuvwxyz";
		var chars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
		var pass = ""
		for (x = 0; x < len; x++) {
			rand = Math.random() * chars.length;
			genn = Math.round(rand);
			while (genn <= 0) {
				genn++;
			}
			pass += chars.charAt(genn);
		}
		return pass;
	},
	test : function(node) {
		data = content.document.body.innerHTML;
//		SegodocUtils.log("Before " + data);
		if (data.indexOf("123456789crypted") != -1
				&& data.indexOf("987654321crypted") != -1) {
			var string = data;
			var beginCrypted = string.indexOf("123456789crypted");
			var endCrypted = string.indexOf("987654321crypted");
			var crypted = string.substring(beginCrypted + 16, endCrypted);
			// qui rimettere segodoc.decrypt originale
			var res1 = AESDecryptCtr(crypted, "prova", 128);
			SegodocUtils.log("Contenuto delimitatori decifrato:\n " + res1);
			var firstPart = string.substring(0, beginCrypted);
			var secondPart = string.substring(endCrypted + 16, string.length);
//			res1 = unescape(res1);
			res1 = SegodocUtils.convertAphostrophe(res1);
			res1 = SegodocUtils.htmlEscape(res1);
			if (res1.lastIndexOf("%3Cbr%3E") != -1) {
				res1.substring(0, res1.lastIndexOf("%3Cbr%3E"));
			}
			SegodocUtils
					.log("Contenuto delimitatori decifrato, unescape e convert aphostrophe:\n "
							+ res1);
//			var check = prompt(res1);
//			alert(check);
//			var allString = firstPart + check + secondPart;
			var allString = firstPart + res1 + secondPart;
			data = allString;
		}
//		SegodocUtils.log("After " + data);
		content.document.body.innerHTML = data;
//		alert(content.document.getElementById('viewiframe').contentWindow.document);
	}

};

var $sqlite = {
	storageService : [],
	mDBConn : [],
	_initService : function(file) {
		var db = Components.classes["@mozilla.org/file/directory_service;1"]
				.getService(Components.interfaces.nsIProperties).get("ProfD",
						Components.interfaces.nsIFile);
		db.append(file);
		this.storageService[file] = Components.classes["@mozilla.org/storage/service;1"]
				.getService(Components.interfaces.mozIStorageService);
		this.mDBConn[file] = (this.storageService[file]).openDatabase(db)
	},
	select : function(file, sql, param) {
		if (this.storageService[file] == undefined) {
			this._initService(file)
		}
		var ourTransaction = false;
		if ((this.mDBConn[file]).transactionInProgress) {
			ourTransaction = true;
			(this.mDBConn[file])
					.beginTransactionAs((this.mDBConn[file]).TRANSACTION_DEFERRED)
		}
		var statement = (this.mDBConn[file]).createStatement(sql);
		if (param) {
			for (var m = 2, arg = null; arg = arguments[m]; m++) {
				statement.bindUTF8StringParameter(m - 2, arg)
			}
		}
		try {
			var dataset = [];
			while (statement.executeStep()) {
				var row = [];
				for (var i = 0, k = statement.columnCount; i < k; i++) {
					row[statement.getColumnName(i)] = statement
							.getUTF8String(i)
				}
				dataset.push(row)
			}
		} finally {
			statement.reset()
		}
		if (ourTransaction) {
			(this.mDBConn[file]).commitTransaction()
		}
		return dataset
	},
	cmd : function(file, sql, param) {
		if (this.storageService[file] == undefined) {
			this._initService(file)
		}
		var ourTransaction = false;
		if ((this.mDBConn[file]).transactionInProgress) {
			ourTransaction = true;
			(this.mDBConn[file])
					.beginTransactionAs((this.mDBConn[file]).TRANSACTION_DEFERRED)
		}
		try {
			var statement = (this.mDBConn[file]).createStatement(sql);
			// SegodocUtils.log("create statement");
		} catch (e) {
			// console.error(e)
			SegodocUtils.log(e);
		}
		if (param) {
			for (var m = 2, arg = null; arg = arguments[m]; m++) {
				statement.bindUTF8StringParameter(m - 2, arg)
			}
		}
		try {
			statement.execute()
		} finally {
			statement.reset()
		}
		if (ourTransaction) {
			(this.mDBConn[file]).commitTransaction()
		}
	}
};

Date.prototype.setISO8601 = function(string) {
	var regexp = "([0-9]{4})(-([0-9]{2})(-([0-9]{2})(T([0-9]{2}):([0-9]{2})(:([0-9]{2})(.([0-9]+))?)?(Z|(([-+])([0-9]{2}):([0-9]{2})))?)?)?)?";
	var d = string.match(new RegExp(regexp));
	var offset = 0;
	var date = new Date(d[1], 0, 1);
	if (d[3]) {
		date.setMonth(d[3] - 1)
	}
	if (d[5]) {
		date.setDate(d[5])
	}
	if (d[7]) {
		date.setHours(d[7])
	}
	if (d[8]) {
		date.setMinutes(d[8])
	}
	if (d[10]) {
		date.setSeconds(d[10])
	}
	if (d[12]) {
		date.setMilliseconds(Number("0." + d[12]) * 1000)
	}
	if (d[14]) {
		offset = (Number(d[16]) * 60) + Number(d[17]);
		offset *= ((d[15] == "-") ? 1 : -1)
	}
	offset -= date.getTimezoneOffset();
	time = (Number(date) + (offset * 60 * 1000));
	this.setTime(Number(time))
};
Date.prototype.getSQLString = function() {
	x = this.getYear();
	var y = x % 100;
	var Year = y += (y < 38) ? 2000 : 1900;
	var Month = this.leadingZero(this.getMonth() + 1);
	var Day = this.leadingZero(this.getDate());
	var Hours = this.leadingZero(this.getHours());
	var Minutes = this.leadingZero(this.getMinutes());
	var Seconds = this.leadingZero(this.getSeconds());
	var date = Year + "-" + Month + "-" + Day + " " + Hours + ":" + Minutes
			+ ":" + Seconds;
	return date
};
Date.prototype.leadingZero = function(nr) {
	if (nr < 10) {
		nr = "0" + nr
	}
	return nr
}
String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g, "");
}
String.prototype.ltrim = function() {
	return this.replace(/^\s+/, "");
}
String.prototype.rtrim = function() {
	return this.replace(/\s+$/, "");
}

function removeHTMLComments(html) {
	return html.replace(/<!(?:--[\s\S]*?--\s*)?>\s*/g, '');
}

// inizio htmlEntities -> http://www.dieterraber.net/jsStringFuncs.htm
String.prototype.htmlEntities = function() {
	var chars = new Array(/* '&', */'à', 'á', 'â', 'ã', 'ä', 'å', 'æ',
			'ç', 'è', 'é', 'ê', 'ë', 'ì', 'í', 'î', 'ï', 'ð', 'ñ',
			'ò', 'ó', 'ô', 'õ', 'ö', 'ø', 'ù', 'ú', 'û', 'ü', 'ý',
			'þ', 'ÿ', 'À', 'Á', 'Â', 'Ã', 'Ä', 'Å', 'Æ', 'Ç', 'È',
			'É', 'Ê', 'Ë', 'Ì', 'Í', 'Î', 'Ï', 'Ð', 'Ñ', 'Ò', 'Ó',
			'Ô', 'Õ', 'Ö', 'Ø', 'Ù', 'Ú', 'Û', 'Ü', 'Ý', 'Þ', '€',
			'\"', 'ß',/*
						 * '<', '>',
						 */'¢', '£', '¤', '¥', '¦', '§', '¨', '©', 'ª', '«', '¬',
			'­', '®', '¯', '°', '±', '²', '³', '´', 'µ', '¶', '·',
			'¸', '¹', 'º', '»', '¼', '½', '¾');

	var entities = new Array(/* 'amp', */'agrave', 'aacute', 'acirc',
			'atilde', 'auml', 'aring', 'aelig', 'ccedil', 'egrave', 'eacute',
			'ecirc', 'euml', 'igrave', 'iacute', 'icirc', 'iuml', 'eth',
			'ntilde', 'ograve', 'oacute', 'ocirc', 'otilde', 'ouml', 'oslash',
			'ugrave', 'uacute', 'ucirc', 'uuml', 'yacute', 'thorn', 'yuml',
			'Agrave', 'Aacute', 'Acirc', 'Atilde', 'Auml', 'Aring', 'AElig',
			'Ccedil', 'Egrave', 'Eacute', 'Ecirc', 'Euml', 'Igrave', 'Iacute',
			'Icirc', 'Iuml', 'ETH', 'Ntilde', 'Ograve', 'Oacute', 'Ocirc',
			'Otilde', 'Ouml', 'Oslash', 'Ugrave', 'Uacute', 'Ucirc', 'Uuml',
			'Yacute', 'THORN', 'euro', 'quot', 'szlig',
			/* 'lt','gt', */'cent', 'pound', 'curren', 'yen', 'brvbar',
			'sect', 'uml', 'copy', 'ordf', 'laquo', 'not', 'shy', 'reg',
			'macr', 'deg', 'plusmn', 'sup2', 'sup3', 'acute', 'micro', 'para',
			'middot', 'cedil', 'sup1', 'ordm', 'raquo', 'frac14', 'frac12',
			'frac34');

	newString = this;
	for (var i = 0; i < chars.length; i++) {
		myRegExp = new RegExp();
		myRegExp.compile(chars[i], 'g')
		newString = newString.replace(myRegExp, '&' + entities[i] + ';');
	}
	return newString;
}
String.prototype.unescapeLtGt = function() {
	var chars = new Array('<', '>');

	var entities = new Array('&lt;', '&gt;');

	newString = this;
	for (var i = 0; i < entities.length; i++) {
		myRegExp = new RegExp();
		myRegExp.compile(entities[i], 'g')
		newString = newString.replace(myRegExp, chars[i]);
	}
	return newString;
}
