// **** BEGIN LICENSE BLOCK ****
// Copyright(c) 2008 Edoardo Gargano
//
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Portions of this code have been based upon
// LiveHttpHeaders - http://livehttpheaders.mozdev.org
// Copyright(c) 2002-2003 Daniel Savard.
// And TamperData - http://tamperdata.mozdev.org
// Copyright(c) 2005 Adam Judson
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//
//
// parChanger.js - read and modify http parameter, also POST par
//
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
// more details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA 02111-1307 USA
//
// **** END LICENSE BLOCK ****

var oCrypt;
function startCrypt(request, uri) {
   oCrypt = new Crypt();
   oCrypt.init(request,uri);   
}

function Crypt() {
}
Crypt.POST_DATA = "POST_DATA";

Crypt.prototype = {

   changedPostData : false,
   postdata : null,
   uri: null,

   init : function(request,uri) {
      this.headers = {};
      this.newPostData = {};
      this.request = request;
      this.uri = uri;
      if(this.uri.indexOf("")!=-1) {
//      	if(this.uri.indexOf("revision=_latest")!=-1) {
		  var visitor = new HeaderInfoVisitor(request);
		  this.requestHeaders = visitor.visitRequest();
		  this.postDataObject = visitor.getPostData();
		  this.postBodyHeaders = visitor.getPostBodyHeaders();
	     
		  this.loadValues();
		  this.modifyRequest();
//      	}
      }

   },

   modifyRequest : function() {
      try {
         for (var header in this.headers) {
            this.request.setRequestHeader(header, this.headers[header], false);
         }
         // now post parameters ...

            var myPostData = "";
            var isFirst = true;
            var dataObj = null;
            for (i in this.workingPostData) {
               dataObj = this.workingPostData[i];
               if (!dataObj.deleted) {
                  // if values have been added or deleted to binary data,
                  // bad things will probably happen...
                  if (!this.postDataObject.binary) {
                     if (!isFirst) {
                        myPostData += "&";
                     } else {
                        isFirst = false;
                     }
                     // molto importante verificare che si sta modificando un
						// file SEGODOC
                     if(dataObj.name=="delta") {
                     	//cancellazione dei contenuti testuali del delta
                     	var deltaTemp="";
                     	var splitted=dataObj.value.split("%09");
                     	for(i=0;i<splitted.length;i++) {
                     		if(splitted[i].indexOf("%2B")!=-1 || splitted[i].indexOf("-")!=-1) {
                     			splitted[i]="";
                     		}
                     		deltaTemp+=splitted[i];
                     		if(i!=0&&i!=splitted.length-1) deltaTemp+="%09";
                     	}
//                     	alert("Ricostruzione del delta senza contenuto testuale: "+deltaTemp);
                     	dataObj.value=deltaTemp;
                     	// delta sbagliarlo per salvarlo da qualche parte
                     	var posLastEq=dataObj.value.lastIndexOf("%3D");
                     	// posCheckNumber  la posizione iniziale del numero di
						// controllo (pu avere varie cifre)
                     	var posCheckNumber=posLastEq+3;
                     	// dataObj.value=dataObj.value.substring(0,dataObj.value-1);
                     	// checkNumber  il numero di controllo
                     	var checkNumber=parseInt(dataObj.value.charAt(posCheckNumber));
//                     	alert(checkNumber);
                     	var checkNumberChanged=checkNumber+1;
//                     	alert(checkNumber+1);
//                     	SegodocUtils.log("Prima di alterarlo "+dataObj.value);
						dataObj.value=dataObj.value.substring(0,posCheckNumber)+""+checkNumberChanged;
						SegodocUtils.log("Delta alterato in "+dataObj.value);
                     }
                     if(dataObj.name=="docContents") {
                     	SegodocUtils.log("Salvataggio docContents prima di cifratura:\n "+dataObj.value);
                     	// estrarre %3Cbr%3E e rimetterlo dopo il crypted
//             sospeso non so se rimetto br if(dataObj.value.lastIndexOf("%3Cbr%3E")!=-1) {
//                     		dataObj.value=dataObj.value.substring(0,dataObj.value.lastIndexOf("%3Cbr%3E"));
//                     	}
//                     	SegodocUtils.log("Paramentro docContents senza br finale "+dataObj.value);
//                     	var dirtyChar="";
//                     	if(dataObj.value.length<600) { 
//                     	var dirtyCharLen=600-dataObj.value.length;                     	
//////                     	alert('Aggiungo '+dirtyCharLen); 
//						dirtyChar=segodoc.genChar(dirtyCharLen);
//                     	}
          
                     	var crypted = segodoc.crypt(dataObj.value, this.uri);
		   				if(crypted.indexOf("123456789crypted")!=-1 && crypted.indexOf("987654321crypted")!=-1) {
//                     		if(dirtyChar.length>1) {
//                     			crypted=crypted+"987drt654"+dirtyChar+"<br>";
//                     			SegodocUtils.log("Aggiunta dirtyChar");
//                     		}
                     		dataObj.value = crypted;
                     		SegodocUtils.log("Salvataggio docContents dopo di cifratura:\n "+dataObj.value);
		   				}
                     }
                     myPostData += dataObj.name + "=" + dataObj.value;
                  } else {
                     myPostData = this.crUnescape(dataObj.value);
                  }
               }
            }

            this.request.QueryInterface(Components.interfaces.nsIUploadChannel);
            var uploadStream = this.request.uploadStream;
            if (uploadStream instanceof Components.interfaces.nsIMIMEInputStream) {
               // update the modifed post headers here...
               var sis = Components.classes["@mozilla.org/io/string-input-stream;1"];
               var tmpStream = sis.createInstance(Components.interfaces.nsIStringInputStream);
               tmpStream.setData(myPostData, myPostData.length);
               tmpStream.QueryInterface(Components.interfaces.nsISeekableStream);
               tmpStream.seek(0,0);
               tmpStream.QueryInterface(Components.interfaces.nsIInputStream);
               // boy, I sure hope this doesn't throw away the headers...
               uploadStream.setData(tmpStream);
               if (uploadStream instanceof Components.interfaces.nsISeekableStream) {
                  // rewinding should reset the Content-Length field.
                  uploadStream.seek(0, 0);
               }
               // uploadStream.rewind();
            } else if (uploadStream instanceof Components.interfaces.nsIStringInputStream) {
               const CONTENT_LENGTH = "content-length";
               var contentLength;
               var contentLengthName;
               var lengthFromPost = false;
               for (var h in this.postBodyHeaders) {
                  if (h.toLowerCase() === CONTENT_LENGTH) {
                     contentLengthName = h;
                     contentLength = this.postBodyHeaders[contentLengthName];
                     lengthFromPost = true;
                     break;
                  }
               }
               if (!lengthFromPost) {
                  try {
                     contentLength = this.request.getRequestHeader(CONTENT_LENGTH);
                  } catch (e) {
                     // that's too bad
                  }
               }
               if (contentLength && contentLength != "-1") {
                  if (contentLength != myPostData.length) {
                        if (lengthFromPost) {
                           this.postBodyHeaders[contentLengthName] = "" + myPostData.length;
                        } else {
                           this.request.setRequestHeader(CONTENT_LENGTH, myPostData.length, false);
                        }
                  }
               }
               var postHeaderString = "";
               for (var ph in this.postBodyHeaders) {
                  postHeaderString += ph + ": " + this.postBodyHeaders[ph] + "\r\n";
               }
               this.request.uploadStream.setData(postHeaderString + "" + myPostData, postHeaderString.length + 0 + myPostData.length);
            } else if (uploadStream instanceof Components.interfaces.nsIFileInputStream) {
               SegodocUtils.log("Got a file input stream, can't set values");
            } else if (uploadStream instanceof Components.interfaces.nsIMultiplexInputStream) {
               SegodocUtils.log("Got a multiplex input stream, can't set values");
            } else if (uploadStream instanceof Components.interfaces.nsIBufferedInputStream) {
               SegodocUtils.log("Got a buffered input stream, can't set values");
            } else {
//               SegodocUtils.log("Don't know what we got, can't set values");
            }
         
      } catch (e) {
         // there was a problem...
         SegodocUtils.log("Exception in modifyRequest: [" + e + "]");
         // keep going
      }
      return true;
   },

   // change this to allow modification of post headers for mime-input streams.
   loadValues : function() {
      if (this.postDataObject) {
         this.postbody = this.postDataObject.body;
         // if this is binary, we should treat it differently
         if (!this.postDataObject.binary) {
            this.postdata = this.postbody.split("&"); 
            var count = 0;
            for (i in this.postdata) {
               if (count == 0) {
                  this.initWorkingPostData();
               }
               var nameValue = this.postdata[i].split("=");
               var name = nameValue[0];
               var val = this.postdata[i].substring(nameValue[0].length + 1);
               this.workingPostData[count] = {"name" : name, "value" : val, "count" : count};
//               this.addPostRow(this.workingPostData[count], false);
               count++;
            }
         } else {
            this.postdata = this.postbody;
            // there's a problem with carriage returns
            // basically, we can get either \n, or \r\n but on windows
            // that will get converted to \n when we push and pull it from a
			// text box
            // so convert these characters to \\r and \\n, and hope people can
			// figure it out
            this.workingPostData = new Array();
            this.workingPostData[0] = {"name" : Crypt.POST_DATA, "value" : this.crEscape(this.postbody), "count" : 0};
//            this.addPostRow(this.workingPostData[0], true);
         }
      } else {
         this.postBody = null;
      }
   },

   crEscape : function(string) {
      string = string.replace(/\\r/g, "\\\\r");
      string = string.replace(/\\n/g, "\\\\n");
      string = string.replace(/\r/g, "\\r");
      string = string.replace(/\n/g, "\\n");
      return string;
   },

   crUnescape : function(string) {
      string = string.replace(/\\n/g, "\n");
      string = string.replace(/\\r/g, "\r");
      string = string.replace(/\\\\n/g, "\\n");
      string = string.replace(/\\\\r/g, "\\r");
      return string;
   },

   initWorkingPostData : function() {
      if (!this.workingPostData) {
         this.workingPostData = new Array();
      }
   }
};

